<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Auth;

class DriverVehicleChartController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    //

    public function index()
    {

        $carTypes = DB::select(' select id,carName,IFNULL(CO,0) as CO from lkp_cartypes
      left join
      (select carTypeId,count(*) as CO from
      driver_vehicles
      where companyId='.Auth::user()->companyId.'
      group by carTypeId)a on a.carTypeId=lkp_cartypes.id
      where companyId='.Auth::user()->companyId.'
      order by  CO desc');

        $plateTypes = DB::select(' select id,englishName,IFNULL(CO,0) as CO from lkp_vehicleplatetype
      left join
      (select plateTypeId,count(*) as CO from
      driver_vehicles
      where companyId='.Auth::user()->companyId.'
      group by plateTypeId)a on a.plateTypeId=lkp_vehicleplatetype.id
      order by  CO desc');

        $models = DB::select(' select model,count(*) as CO from driver_vehicles
         where companyId='.Auth::user()->companyId.'
        GROUP BY model
        order by  count(*) desc
        LIMIT 10');

        $carbrands = DB::select(' select carbrand_Id,name_en,count(*) as CO from driver_vehicles
         left join lkp_carbrands on lkp_carbrands.id=driver_vehicles.carbrand_Id
          where companyId='.Auth::user()->companyId.'
        GROUP BY carbrand_Id,name_en
        order by  count(*) desc
        LIMIT 10');

        $validitys = DB::table('driver_vehicles')
            ->select(DB::raw('
        sum( if( validityId = 1, 1, 0 ) ) AS Approved,  sum( if( validityId = 2, 1, 0 ) ) AS NotApproved,sum( if( validityId = 3, 1, 0 ) ) AS Pending
        '))
            ->where('driver_vehicles.companyId', Auth::user()->companyId)
            ->get();

        return view('DriverVehicles.DriverVehiclechart')
            ->with(compact('carTypes'))
            ->with(compact('plateTypes'))
            ->with(compact('models'))
            ->with(compact('carbrands'))
            ->with(compact('validitys'));
    }


}
