<?php

namespace App\Http\Controllers;

use App\UsersMenu;
use App\UsersPrivilege;
use DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\Facades\Auth;

class UsersPrivilegeController extends Controller
{
    protected $menu = 14;

    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index($id)
    {

        // return session('menu');

        /* if (!Gate::allows('privilage', [$this->menu, 'read'])) {
             abort(404, "Sorry, You can do this actions");
             //return response()->json('404 error', 404);
         }
        */

        $UsersRole = DB::select('SELECT role_name from users_role where companyId=' . Auth::user()->companyId . ' and id=' . $id)[0];


        $UsersMenu = DB::table('lkp_menu')
            ->select('lkp_menu.*', 'users_privilege.read as read', 'users_privilege.create as create',
                'users_privilege.update as update', 'users_privilege.delete as delete')
            ->leftJoin(DB::raw('(SELECT * FROM users_privilege where companyId=' . Auth::user()->companyId . ' and role_id=' . $id . ')
        users_privilege'),
                function ($join) {
                    $join->on('lkp_menu.id', '=', 'users_privilege.menu_id');
                })
            ->orderBy('lkp_menu.id', 'ASC')
            ->get();

        // $UsersMenu = UsersMenu::all();
        return view('UsersPrivilege.index')->with('UsersMenu', $UsersMenu)->with('id', $id)->with('name', $UsersRole->role_name);
    }

    public function store(Request $request)
    {

        //DB::table('users_privilege')->where('role_id', $request->input('role_id'))->delete();
        $UsersMenu = UsersMenu::all();
        foreach ($UsersMenu as $User_Menu) {
            $Read = empty($request->input("Read_$User_Menu->id")) ? 'null' : $request->input("Read_$User_Menu->id");
            $Create = empty($request->input("Create_$User_Menu->id")) ? 'null' : $request->input("Create_$User_Menu->id");
            $Update = empty($request->input("Update_$User_Menu->id")) ? 'null' : $request->input("Update_$User_Menu->id");
            $Delete = empty($request->input("Delete_$User_Menu->id")) ? 'null' : $request->input("Delete_$User_Menu->id");

            try {

                DB::insert("INSERT INTO users_privilege (companyId,role_id,menu_id,`read`,`create`,`update`,`delete`,
                    created_at,updated_at)
                    VALUES (
                    " . Auth::user()->companyId . ",
                    " . $request->input('role_id') . ",
                    " . $User_Menu->id . ",
                    " . $Read . ",
                    " . $Create . ",
                    " . $Update . ",
                    " . $Delete . ",
                        '" . date("Y-m-d H:i:s") . "',
                        '" . date("Y-m-d H:i:s") . "'
                    )ON DUPLICATE KEY UPDATE
                    companyId = " . Auth::user()->companyId . ",
                    role_id = " . $request->input('role_id') . ",
                    menu_id = " . $User_Menu->id . ",
                    `read` = " . $Read . ",
                    `create` = " . $Create . ",
                    `update` = " . $Update . ",
                    `delete` = " . $Delete . ",
                    updated_at = '" . date("Y-m-d H:i:s") . "'
                    ");

            } catch (\Illuminate\Database\QueryException $e) {
                return redirect('/UsersRole')->with('error', $e->getPrevious()->getMessage());
            }


        }


        return redirect('/UsersRole')->with('success', 'Done successfully');

    }
}
