@extends('AdminLTE')
@section('content')
    <style>
        .show_table th {
            padding: 5px 5px !important;
            white-space: nowrap;
            margin: 0 0 !important;
            vertical-align: middle !important;
            border: solid 0px !important;

        }

        .show_table td {
            padding: 5px 3px !important;
            vertical-align: middle !important;
            margin: 0 0 !important;
            text-align: left;
        }
        .tablemain td {
            padding: 5px 5px !important;

        }
        canvas{

            width:200px !important;
            height:170px !important;

        }
        li{
            white-space: nowrap;
            text-align: left;
        }
    </style>
    <br>
    <table class="tablemain" style="width: 100%">
        <tr>
            <td width="50%">
                {{---------------------------------------------------------------------------------------------------------------}}
                <div class="card" style="width:500px;margin: 0 auto;">
                    <div class="card-header" style="background-color: coral">

                     <h3 class="card-title"><b>Car Types</b></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body p-0">

                        <table class="show_table table-striped" style="width: 100%">
                            <tr>
                                <TH style="width:1px">#</TH>
                                <TH style="width: 30%">Car Types</TH>
                                <TH colspan="2">%</TH>
                                <TH style="width:1px">Count</TH>

                            </tr>
                            </thead>
                            <tbody>
                            <?php $i = 0;$total = 0;?>
                            @foreach($carTypes as $carType)
                                <?php $total += $carType->CO?>
                            @endforeach
                            @foreach($carTypes as $carType)
                                <?php $per = round($carType->CO * 100 / $total);?>
                                <?php $i++?>
                                <tr>
                                    <td>{{$i}}</td>
                                    <td>{{$carType->carName}}</td>

                                    <td>
                                        <div class="progress progress-sm">
                                            <div class="progress-bar bg-primary" style="width: {{$per}}%"></div>
                                        </div>
                                    </td>
                                    <td style="width: 1px">{{$per}}%</td>
                                    <td>{{$carType->CO}}</td>

                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <!-- /.card-body -->
                    </div>
                </div>
                {{---------------------------------------------------------------------------------------------------------------}}
            </td>
            <td width="50%">
                <div class="card" style="width:500px;margin: 0 auto;">
                    <div class="card-header" style="background-color: coral;">
                        <h3 class="card-title"><b>Plate Types</b></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body p-0">

                        <table class="show_table table-striped" style="width: 100%">
                            <tr>
                                <TH style="width:1px">#</TH>
                                <TH style="width: 30%">plate Types</TH>
                                <TH colspan="2">%</TH>
                                <TH style="width:1px">Count</TH>

                            </tr>
                            </thead>
                            <tbody>
                            <?php $i = 0;?>

                            @foreach($plateTypes as $plateType)
                                <?php $per = round($plateType->CO * 100 / $total);?>
                                <?php $i++?>
                                <tr>
                                    <td>{{$i}}</td>
                                    <td>{{$plateType->englishName}}</td>

                                    <td>
                                        <div class="progress progress-sm">
                                            <div class="progress-bar bg-primary" style="width: {{$per}}%"></div>
                                        </div>
                                    </td>
                                    <td style="width: 1px">{{$per}}%</td>
                                    <td>{{$plateType->CO}}</td>

                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <!-- /.card-body -->
                    </div>
                </div>
               {{---------------------------------------------------------------------------------------------------------------}}
            </td>
        </tr>



        <tr>
            <td>
                {{---------------------------------------------------------------------------------------------------------------}}
                <div class="card" style="width:500px;margin: 0 auto;">
                    <div class="card-header" style="background-color: coral;">
                        <h3 class="card-title"><b>Top Car Model</b></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body p-0">

                        <table class="show_table table-striped" style="width: 100%">
                            <tr>
                                <TH style="width:1px">#</TH>
                                <TH style="width: 30%">Model</TH>
                                <TH colspan="2">%</TH>
                                <TH style="width:1px">Count</TH>

                            </tr>
                            </thead>
                            <tbody>
                            <?php $i = 0;?>

                            @foreach($models as $model)
                                <?php $per = round($model->CO * 100 / $total);?>
                                <?php $i++?>
                                <tr>
                                    <td>{{$i}}</td>
                                    <td>{{$model->model}}</td>

                                    <td>
                                        <div class="progress progress-sm">
                                            <div class="progress-bar bg-primary" style="width: {{$per}}%"></div>
                                        </div>
                                    </td>
                                    <td style="width: 1px">{{$per}}%</td>
                                    <td>{{$model->CO}}</td>

                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <!-- /.card-body -->
                    </div>
                </div>
                {{---------------------------------------------------------------------------------------------------------------}}
            </td>
            <td>
                <div class="card" style="width:500px;margin: 0 auto;">
                    <div class="card-header" style="background-color: coral;">
                        <h3 class="card-title"><b>Top Car Brands</b></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body p-0">

                        <table class="show_table table-striped" style="width: 100%">
                            <tr>
                                <TH style="width:1px">#</TH>
                                <TH style="width: 30%">Car Brands</TH>
                                <TH colspan="2">%</TH>
                                <TH style="width:1px">Count</TH>

                            </tr>
                            </thead>
                            <tbody>
                            <?php $i = 0;?>

                            @foreach($carbrands as $carbrand)
                                <?php $per = round($carbrand->CO * 100 / $total);?>
                                <?php $i++?>
                                <tr>
                                    <td>{{$i}}</td>
                                    <td>{{$carbrand->name_en}}</td>

                                    <td>
                                        <div class="progress progress-sm">
                                            <div class="progress-bar bg-primary" style="width: {{$per}}%"></div>
                                        </div>
                                    </td>
                                    <td style="width: 1px">{{$per}}%</td>
                                    <td>{{$carbrand->CO}}</td>

                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <!-- /.card-body -->
                    </div>
                </div>
                {{---------------------------------------------------------------------------------------------------------------}}
            </td>
        </tr>
    </table>

    @foreach($validitys as $validity)
        <?php
        $labels_validity = "'Approved=" . $validity->Approved . " " . round($validity->Approved * 100 / $total) . "%','NotApproved=" . $validity->NotApproved . " " . round($validity->NotApproved * 100 / $total) . "%','Pending=" . $validity->Pending . " " . round($validity->Pending * 100 / $total) . "%',";
        $data_validity = $validity->Approved . "," . $validity->NotApproved. "," . $validity->Pending;
        ?>
    @endforeach
    <br>
    <div style="width: 100%; text-align: center;font-size: 18px"><b>Validity</b></div>
    <div>
        <!--<canvas id="validity" style="height:230px; min-height:230px;font-family:Arial"></canvas>-->
    </div>
<div style="text-align: center">
    <div class="card-body" style="display: inline-block;">
        <div class="row" >
            <div>

                    <canvas id="validity" height="170"  ></canvas>

                <!-- ./chart-responsive -->
            </div>
            <!-- /.col -->
            <div>
                <ul class="chart-legend clearfix">
                    <li><i class="fa fa-circle" style="color: #00c0ef !important;"></i> Approved {{round($validity->Approved * 100 / $total)}}%</li>
                    <li><i class="fa fa-circle" style="color: red !important;"></i> NotApproved {{round($validity->NotApproved * 100 / $total)}}%</li>
                    <li><i class="fa fa-circle" style="color: orange !important;"></i> Pending {{round($validity->Pending * 100 / $total)}}%</li>

                </ul>
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </div>
</div>
    <script>

        //---------------------------------------------------------------------------------------------
        //- DONUT CHART -
        //-------------
        // Get context with jQuery - using jQuery's .get() method.
        var donutChartCanvas = $('#validity').get(0).getContext('2d')
        var donutData = {
            labels: [
                <?php echo str_replace("&#039;", "\'", $labels_validity); ?>
            ],
            datasets: [
                {
                    data: [{{$data_validity}}],
                    backgroundColor: ['#00c0ef', 'red','orange',],
                }
            ]
        }
        var donutOptions = {
            maintainAspectRatio: false,
            responsive: false,

            legend: {
                display: false
            }
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions,

        })
    </script>
@endsection
