<style>
    .show_table th {
        padding: 8px 0.0rem !important;
        padding-left: 20px !important;
        white-space: nowrap;
        border: none !important;
        margin: 0 0 !important;
        vertical-align: middle !important;
    }

    .show_table td {
        padding: 0.0rem 3px !important;
        border: none !important;
        vertical-align: middle !important;
        margin: 0 0 !important;
        vertical-align: middle !important;
    }
</style>

@foreach($DriverVehicles as $DriverVehicle)
    <form method="POST" action="{{ route('DriverVehicles.update',$DriverVehicle->id)}}">

        @csrf
        {{method_field("PATCH")}}
        <table class="table m-0 show_table" style="width:10px!important;">
            <tr>
                <TH>Driver <font color="red">*</font></TH>
                <td style="white-space: nowrap;">
                    <input class="form-control" name="driverId_input" style="width:220px;display: inline;"
                           id="driverId_input" type="text" value="{{$DriverVehicle->name}}" required data-readonly>
                    <input name="driverId" id="driverId" type="hidden" value="{{$DriverVehicle->driverId}}" required>

                    <button onclick="driver_window();" type="button" class="btn btn-primary btn-sm"
                            style="display: inline;">Select Driver
                    </button>
                </td>
            </tr>
            <tr>
                <TH>Model <font color="red">*</font></TH>
                <td><input style="width:300px;" class="form-control" name="model" type="text"
                           value="{{$DriverVehicle->model}}" required></td>
            </tr>
            <tr>
                <TH>CarType <font color="red">*</font></TH>
                <td>
                    <select id="carTypeId" name="carTypeId" data-placeholder="Choose a CarType..."
                            class="form-control select2-single" required>
                        <option value=""></option>
                        @foreach($cartypes as $cartype)
                            <option value="{{$cartype->id}}"
                                    @if ($DriverVehicle->carTypeId==$cartype->id){{"  selected " }}:null @endif>{{$cartype->carName}}</option>
                        @endforeach
                    </select>
                </td>
            </tr>
            <!--<tr><TH>driverCarImage </TH> <td></td></tr>-->
            <tr>
                <TH>Car Brand <font color="red">*</font></TH>
                <td>
                    <select id="carbrand_Id" name="carbrand_Id" onchange="carbrandsub('carbrand_Id','carbrandsub_Id')"
                            data-placeholder="Choose a CarBrand..." class="form-control select2-single" required>
                        <option value=""></option>
                        @foreach($carbrands as $carbrand)
                            <option value="{{$carbrand->id}}"
                                    @if ($DriverVehicle->carbrand_Id==$carbrand->id){{"  selected " }}:null @endif>{{$carbrand->name_en}}</option>
                        @endforeach
                    </select>
                </td>
            </tr>
            <tr>
                <TH>Car Brand Sub <font color="red">*</font></TH>
                <td>
                    <select id="carbrandsub_Id" name="carbrandsub_Id" data-placeholder="Choose a CarBrand Sub..."
                            class="form-control select2-single" required>
                        @foreach($carbrandsubs as $carbrandsub)
                            <option value="{{$carbrandsub->id}}"
                                    @if ($DriverVehicle->carbrandsub_Id==$carbrandsub->id){{"  selected " }}:null @endif>{{$carbrandsub->name_en}}</option>
                        @endforeach
                    </select>
                </td>
            </tr>
            <tr>
                <TH>Colour</TH>
                <td><input style="width:300px;" class="form-control" name="Colour" type="text"
                           value="{{$DriverVehicle->colour}}"></td>
            </tr>
            <!--<tr><TH>vechicleIdentityProof</TH> <td></td></tr>-->
            <tr>
                <TH>sequenceNumber <font color="red">*</font></TH>
                <td><input class="form-control" name="sequenceNumber" type="text"
                           value="{{$DriverVehicle->sequenceNumber}}" required></td>
            </tr>
            <tr>
                <TH colspan=2>plateLetterLeft <font color="red">*</font>
                    <input style="width:40px;display: inline;" class="form-control" name="plateLetterLeft" type="text"
                           value="{{$DriverVehicle->plateLetterLeft}}" required>
                    plateLetterMiddle <font color="red">*</font>
                    <input style="width:40px;display: inline;" class="form-control" name="plateLetterMiddle" type="text"
                           value="{{$DriverVehicle->plateLetterMiddle}}" required>
                    plateLetterRight <font color="red">*</font>
                    <input style="width:40px;display: inline;" class="form-control" name="plateLetterRight" type="text"
                           value="{{$DriverVehicle->plateLetterRight}}" required>
                </TH>
            </tr>
            <tr>
                <TH>plateType <font color="red">*</font></TH>
                <td>
                    <select id="plateTypeId" name="plateTypeId" class="form-control select2-single" required>
                        <option value=""></option>
                        @foreach($vehicleplatetype as $vehicleplate_type)
                            <option value="{{$vehicleplate_type->id}}"
                                    @if ($DriverVehicle->plateTypeId==$vehicleplate_type->id){{"  selected " }}:null @endif>{{$vehicleplate_type->englishName}}</option>
                        @endforeach
                    </select>
                </td>
            </tr>
            <tr>
                <TH>plateNumber <font color="red">*</font></TH>
                <td><input class="form-control" name="plateNumber" type="text" value="{{$DriverVehicle->plateNumber}}"
                           required></td>
            </tr>
            <tr>
                <TH>vehicleReferenceNumber</TH>
                <td><input class="form-control" name="vehicleReferenceNumber" type="text"
                           value="{{$DriverVehicle->vehicleReferenceNumber}}"></td>
            </tr>
            <tr>
                <TH>Validity <font color="red">*</font></TH>
                <td>
                    <select id="validityId" name="validityId" class="form-control select2-single" required>
                        <option value=""></option>
                        @foreach($validity as $validity_raw)
                            <option value="{{$validity_raw->id}}"
                                    @if ($DriverVehicle->validityId==$validity_raw->id){{"  selected " }}:null @endif>{{$validity_raw->status}}</option>
                        @endforeach
                    </select>
                </td>
            </tr>
        </table>
        @endforeach

        <div class="w3-row">
            <button class="w3-btn-block w3-indigo w3-section w3-padding" type="submit">Update</button>
        </div>
    </form>
    <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button
            onclick="document.getElementById('response').innerHTML='';document.getElementById('edit_modal').style.display='none'"
            type="button" class="w3-btn w3-red">Cancel
        </button>
    </div>
