@extends('AdminLTE')
@section('content')
    <style>
        .show_table th {
            padding: 5px 5px !important;
            white-space: nowrap;
            margin: 0 0 !important;
            vertical-align: middle !important;
            border: solid 0px !important;

        }

        .show_table td {
            padding: 5px 3px !important;
            vertical-align: middle !important;
            margin: 0 0 !important;
            text-align: left;
        }
        .tablemain td {
            padding: 5px 5px !important;

        }
        canvas{

            width:200px !important;
            height:170px !important;

        }
        li{
            white-space: nowrap;
            text-align: left;
        }
    </style>
    <br><br><br>
    <table class="tablemain" style="width: 100%">
        <tr>
            <td width="50%" rowspan="2" valign="top">
                {{---------------------------------------------------------------------------------------------------------------}}
                <div class="card" style="width:500px;margin: 0 auto;">
                    <div class="card-header" style="background-color: coral">

                     <h3 class="card-title"><b>Car Types</b></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body p-0">

                        <table class="show_table table-striped" style="width: 100%">
                            <tr>
                                <TH style="width:1px">#</TH>
                                <TH style="width: 30%">Car Types</TH>
                                <TH colspan="2">%</TH>
                                <TH style="width:1px">Count</TH>

                            </tr>
                            </thead>
                            <tbody>
                            <?php $i = 0;$total = 0;?>
                            @foreach($carTypes as $carType)
                                <?php $total += $carType->CO?>
                            @endforeach
                            @foreach($carTypes as $carType)
                                <?php $per = round($carType->CO * 100 / $total);?>
                                <?php $i++?>
                                <tr>
                                    <td>{{$i}}</td>
                                    <td>{{$carType->carName}}</td>

                                    <td>
                                        <div class="progress progress-sm">
                                            <div class="progress-bar bg-primary" style="width: {{$per}}%"></div>
                                        </div>
                                    </td>
                                    <td style="width: 1px">{{$per}}%</td>
                                    <td>{{$carType->CO}}</td>

                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <!-- /.card-body -->
                    </div>
                </div>
                {{---------------------------------------------------------------------------------------------------------------}}
            </td>
            <td width="50%" valign="top">
                <div class="card" style="width:500px;margin: 0 auto;">
                    <div class="card-header" style="background-color: coral;">
                        <h3 class="card-title"><b>Payment Type</b></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body p-0">

                        <table class="show_table table-striped" style="width: 100%">
                            <tr>
                                <TH style="width:1px">#</TH>
                                <TH style="width: 30%">Payment Type</TH>
                                <TH colspan="2">%</TH>
                                <TH style="width:1px">Count</TH>

                            </tr>
                            </thead>
                            <tbody>
                            <?php $i = 0;?>

                            @foreach($paymenttypes as $paymenttype)
                                <?php $per = round($paymenttype->CO * 100 / $total);?>
                                <?php $i++?>
                                <tr>
                                    <td>{{$i}}</td>
                                    <td>{{$paymenttype->paymentType}}</td>

                                    <td>
                                        <div class="progress progress-sm">
                                            <div class="progress-bar bg-primary" style="width: {{$per}}%"></div>
                                        </div>
                                    </td>
                                    <td style="width: 1px">{{$per}}%</td>
                                    <td>{{$paymenttype->CO}}</td>

                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <!-- /.card-body -->
                    </div>
                </div>
               {{---------------------------------------------------------------------------------------------------------------}}
            </td>
        </tr>



        <tr>
            <td>
                {{---------------------------------------------------------------------------------------------------------------}}
                <div class="card" style="width:500px;margin: 0 auto;">
                    <div class="card-header" style="background-color: coral;">
                        <h3 class="card-title"><b>Request Ride Status</b></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body p-0">

                        <table class="show_table table-striped" style="width: 100%">
                            <tr>
                                <TH style="width:1px">#</TH>
                                <TH style="width: 30%">Ride Status</TH>
                                <TH colspan="2">%</TH>
                                <TH style="width:1px">Count</TH>

                            </tr>
                            </thead>
                            <tbody>
                            <?php $i = 0;?>

                            @foreach($requestridestatus as $requestridestatu)
                                <?php $per = round($requestridestatu->CO * 100 / $total);?>
                                <?php $i++?>
                                <tr>
                                    <td>{{$i}}</td>
                                    <td>{{$requestridestatu->rideStatus}}</td>

                                    <td>
                                        <div class="progress progress-sm">
                                            <div class="progress-bar bg-primary" style="width: {{$per}}%"></div>
                                        </div>
                                    </td>
                                    <td style="width: 1px">{{$per}}%</td>
                                    <td>{{$requestridestatu->CO}}</td>

                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <!-- /.card-body -->
                    </div>
                </div>
                {{---------------------------------------------------------------------------------------------------------------}}
            </td>

        </tr>
    </table>


@endsection
