@extends('AdminLTE')
@section('content')
    <?php $labels = '';$data = '';?>
    @foreach($Passengers as $Passenger)
        <?php
        $total = $Passenger->total;
        $labels_gender = "'Male=" . $Passenger->Male . " " . round($Passenger->Male * 100 / $total) . "%','Female=" . $Passenger->Female . " " . round($Passenger->Female * 100 / $total) . "%','NA=" . ($total - $Passenger->Male - $Passenger->Female) . " " . round(($total - $Passenger->Male - $Passenger->Female) * 100 / $total) . "%',";
        $data_gender = $Passenger->Male . "," . $Passenger->Female . "," . ($total - $Passenger->Male - $Passenger->Female);
        $labels_loginStatus = "'Login=" . $Passenger->Login . " " . round($Passenger->Login * 100 / $total) . "%','Logout=" . $Passenger->Logout . " " . round($Passenger->Logout * 100 / $total) . "%',";
        $data_loginStatus = $Passenger->Login . "," . $Passenger->Logout;
        $labels_deviceType = "'Android=" . $Passenger->Android . " " . round($Passenger->Android * 100 / $total) . "%','IOS=" . $Passenger->IOS . " " . round($Passenger->IOS * 100 / $total) . "%',";
        $data_deviceType = $Passenger->Android . "," . $Passenger->IOS;
        $labels_validity = "'Approved=" . $Passenger->Approved . " " . round($Passenger->Approved * 100 / $total) . "%','NotApproved=" . $Passenger->NotApproved . " " . round($Passenger->NotApproved * 100 / $total) . "%',";
        $data_validity = $Passenger->Approved . "," . $Passenger->NotApproved;
        ?>
    @endforeach
    <br>
    <!-- DONUT CHART -->
    <div class="card card-danger">
        <div class="card-header">
            <h3 class="card-title">Donut Chart</h3>

            <div class="card-tools">
                <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                </button>

            </div>
        </div>
        <div class="card-body">
            <table style="border: 0px solid #000;" align=center>
                <tr>
                    <TH style="text-align: center;">Gender</TH>
                    <TH style="text-align: center;">Login Status</TH>
                    <TH style="text-align: center;">Device Type</TH>
                </tr>
                <tr>
                    <td>
                        <canvas id="gender" style="height:170px; min-height:170px;font-family:Arial"></canvas>
                    </td>
                    <td>
                        <canvas id="loginStatus" style="height:170px; min-height:170px;font-family:Arial"></canvas>
                    </td>
                    <td>
                        <canvas id="deviceType" style="height:170px; min-height:170px;font-family:Arial"></canvas>
                    </td>
                </tr>
            </table>
            <br>
            <br>
            <table style="border: 0px solid #000;" align=center>
                <tr>
                    <TH style="text-align: center;">Validity</TH>
                </tr>
                <tr>
                    <td>
                        <canvas id="validity" style="height:170px; min-height:170px;font-family:Arial"></canvas>
                    </td>
                </tr>
            </table>
        </div>
        <!-- /.card-body -->
    </div>
    <!-- /.card -->
    <script>
        //---------------------------------------------------------------------------------------------
        //- DONUT CHART -
        //-------------
        // Get context with jQuery - using jQuery's .get() method.
        var donutChartCanvas = $('#gender').get(0).getContext('2d')
        var donutData = {
            labels: [
                <?php echo str_replace("&#039;", "\'", $labels_gender); ?>
            ],
            datasets: [
                {
                    data: [{{$data_gender}}],
                    backgroundColor: ['#3c8dbc', '#f56954', '#d2d6de',],
                }
            ]
        }
        var donutOptions = {
            maintainAspectRatio: false,
            responsive: true,
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions
        })
        //---------------------------------------------------------------------------------------------
        //- DONUT CHART -
        //-------------
        // Get context with jQuery - using jQuery's .get() method.
        var donutChartCanvas = $('#loginStatus').get(0).getContext('2d')
        var donutData = {
            labels: [
                <?php echo str_replace("&#039;", "\'", $labels_loginStatus); ?>
            ],
            datasets: [
                {
                    data: [{{$data_loginStatus}}],
                    backgroundColor: ['green', 'orange',],
                }
            ]
        }
        var donutOptions = {
            maintainAspectRatio: false,
            responsive: true,
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions
        })
        //---------------------------------------------------------------------------------------------
        //- DONUT CHART -
        //-------------
        // Get context with jQuery - using jQuery's .get() method.
        var donutChartCanvas = $('#deviceType').get(0).getContext('2d')
        var donutData = {
            labels: [
                <?php echo str_replace("&#039;", "\'", $labels_deviceType); ?>
            ],
            datasets: [
                {
                    data: [{{$data_deviceType}}],
                    backgroundColor: ['black', 'red',],
                }
            ]
        }
        var donutOptions = {
            maintainAspectRatio: false,
            responsive: true,
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions
        })
        //---------------------------------------------------------------------------------------------
        //- DONUT CHART -
        //-------------
        // Get context with jQuery - using jQuery's .get() method.
        var donutChartCanvas = $('#validity').get(0).getContext('2d')
        var donutData = {
            labels: [
                <?php echo str_replace("&#039;", "\'", $labels_validity); ?>
            ],
            datasets: [
                {
                    data: [{{$data_validity}}],
                    backgroundColor: ['#00c0ef', '#d2d6de',],
                }
            ]
        }
        var donutOptions = {
            maintainAspectRatio: false,
            responsive: true,
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions
        })
    </script>
@endsection
