@extends('AdminLTE')
@section('content')
    <!-- Content Header (Page header) -->

    <div style="float:left;margin-top: 12px;"><h2 style="width:100%;font-size: 14px;font-weight: bold;">
            Company Settings</h2></div>
    </div>

    <div style="clear: both;"></div>
    <br>

    <style>
        .show_table th {
            padding: 8px 0.0rem !important;
            padding-left: 20px !important;
            white-space: nowrap;
            border: none !important;
            margin: 0 0 !important;
            vertical-align: middle !important;
        }

        .show_table td {
            padding: 0.0rem 3px !important;
            border: none !important;
            vertical-align: middle !important;
            margin: 0 0 !important;
            vertical-align: middle !important;
        }
    </style>
    @if (! isset($Settings->id))
        <form method="POST" action="{{ action('SettingsController@store') }}">
            @csrf
            @else
                <form method="POST" action="{{ route('Settings.update',$Settings->id)}}">
                    @csrf
                    {{method_field("PATCH")}}
                    @endif
                    <table class="table m-0 show_table" style="width:10px!important;">
                        <tr>
                            <TH>Vat Percentage</TH>
                            <td><input name="vat_percentage"
                                       value="{{ isset($Settings->vat_percentage) ? $Settings->vat_percentage : '' }}"
                                       type="text"
                                       class="form-control"
                                       style="width:300px;">
                            </td>
                        </tr>
                        <tr>
                            <TH>Comapany Percentage</TH>
                            <td><input name="comapany_percentage"
                                       value="{{ isset($Settings->comapany_percentage) ? $Settings->comapany_percentage : '' }}"
                                       type="text"
                                       class="form-control"
                                       style="width:300px;">
                            </td>
                        </tr>
                        <tr>
                            <TH>Driver Percentage</TH>
                            <td><input name="driver_percentage"
                                       value="{{ isset($Settings->driver_percentage) ? $Settings->driver_percentage : '' }}"
                                       type="text"
                                       class="form-control"
                                       style="width:300px;">
                            </td>
                        </tr>
                        <tr>
                            <TH>Languages</TH>
                            <td>
                                <table>
                                    <tr>
                                        <td>Lang1:</td>
                                        <td>
                                            <select class="form-control" style="width: 100px" name="lang1_id">
                                                <option value=""></option>
                                                @foreach($lkp_languages as $lkp_language)
                                                    <option value="{{$lkp_language->id}}"
                                                            @if (isset($Settings->lang1_id)&&$Settings->lang1_id==$lkp_language->id){{"  selected " }}:null @endif>{{$lkp_language->language}}</option>
                                                @endforeach
                                            </select>
                                        </td>
                                        <td>Lang2:</td>
                                        <td>
                                            <select class="form-control" style="width: 100px" name="lang2_id">
                                                <option value=""></option>
                                                @foreach($lkp_languages as $lkp_language)
                                                    <option value="{{$lkp_language->id}}"
                                                            @if (isset($Settings->lang2_id)&&$Settings->lang2_id==$lkp_language->id){{"  selected " }}:null @endif>{{$lkp_language->language}}</option>
                                                @endforeach
                                            </select></td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <TH>Currency</TH>
                            <td><input name="currency"
                                       value="{{ isset($Settings->currency) ? $Settings->currency : '' }}"
                                       type="text"
                                       class="form-control"
                                       style="width:300px;">
                            </td>
                        </tr>
                        <tr>
                            <TH>Plate Letter Length</TH>
                            <td><input name="plate_letter_length"
                                       value="{{ isset($Settings->plate_letter_length) ? $Settings->plate_letter_length : '' }}"
                                       type="text"
                                       class="form-control"
                                       style="width:300px;">
                            </td>
                        </tr>
                        <tr>
                            <TH>SMS URL</TH>
                            <td><input name="SMS_URL"
                                       value="{{ isset($Settings->SMS_URL) ? $Settings->SMS_URL : '' }}"
                                       type="text"
                                       class="form-control"
                                       style="width:300px;">
                            </td>
                        </tr>
                        <tr>
                            <TH>Distance</TH>
                            <td><input name="distance"
                                       value="{{ isset($Settings->distance) ? $Settings->distance : '' }}"
                                       type="text"
                                       class="form-control"
                                       style="width:300px;">
                            </td>
                        </tr>
                        <tr>
                            <TH>Min Vehicle Model</TH>
                            <td><input name="Min_Vehicle_Model"
                                       value="{{ isset($Settings->Min_Vehicle_Model) ? $Settings->Min_Vehicle_Model : '' }}"
                                       type="text" class="form-control"
                                       style="width:300px;">
                            </td>
                        </tr>
                        <tr>
                            <TH>Max Amount With Driver</TH>
                            <td><input name="Max_Amount_With_Driver"
                                       value="{{ isset($Settings->Max_Amount_With_Driver) ? $Settings->Max_Amount_With_Driver : '' }}"
                                       type="text"
                                       class="form-control"
                                       style="width:300px;">
                            </td>
                        </tr>
                        <tr>
                            <TH>Government Trip Fee</TH>
                            <td><input name="Government_Trip_Fee"
                                       value="{{ isset($Settings->Government_Trip_Fee) ? $Settings->Government_Trip_Fee : '' }}"
                                       type="text"
                                       class="form-control"
                                       style="width:300px;">
                            </td>
                        </tr>
                    </table>
                    <br>
                    <button type="submit" name="filter" id="filter" class="btn btn-sm btn-info">Save Settings</button>

                </form>


@endsection
