<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Log In | Muhrah</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <!-- App favicon -->
        
        <link rel="shortcut icon" href="<?php echo e(asset("/images/faviconico")); ?>">

		<!-- App css -->
		<link href="<?php echo e(asset("/css/bootstrap.min.css")); ?>" rel="stylesheet" type="text/css" id="bs-default-stylesheet" />
		<link href="<?php echo e(asset("/css/app.min.css")); ?>" rel="stylesheet" type="text/css" id="app-default-stylesheet" />
        
        <!-- Custom Stylesheet -->
		<link href="<?php echo e(asset("/css/style.css")); ?>" rel="stylesheet" type="text/css" id="custom-stylesheet" />

		<!-- icons -->
		<link href="<?php echo e(asset("/css/icons.min.css")); ?>" rel="stylesheet" type="text/css" />

    </head>

    <body class="auth-screenbg">
        <div class="account-pages mt-5 mb-5">
            <div class="container">
                <div class="row ">
                    <!--Hero Image-->
                    <div class="col-md-7 col-lg-7 col-xl-8">
                        <div class="text-center mt-5">
                            <img src="<?php echo e(asset("/images/Group1467.png")); ?>" class="img-fluid m-auto">
                        </div>
                    </div>
                    <!--Hero Image-->
                    <div class="col-md-5 col-lg-5 col-xl-4">
                        <div class="card">
                        <?php echo $__env->make('pages.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                                                                                  <?php if(session('status')): ?>
                        <div class="alert alert-success" role="alert">
                            <?php echo e(session('status')); ?>

                        </div>
                    <?php endif; ?>
                            <div class="card-body p-4">
                                <div class="language-switcher text-right">
                                    <a href="#" class="active">ENG</a> | <a href="#" class="">العربیہ</a>
                                </div>
                                <div class="text-left  m-auto">
                                    <h2>We Are <strong>Muhrah</strong></h2>
                                    <p class=" mb-4">Welcome Back, Login to your account</p>
                                </div>

                                 <form method="POST" action="<?php echo e(route('login')); ?>" class="login_form">
				<?php echo csrf_field(); ?>
                                    <div class="form-group input-group-merge mb-3">
                                        <label for="emailaddress">Email address</label>
                                        <div class="input-group">
                                            <input class="form-control" value="<?php echo e(old('email')); ?>" name="email" type="email" id="email" required placeholder="Enter your email" <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="form-icon display-none"><i class="far fa-envelope"></i>
                                            <strong><?php echo e($message); ?></strong>
                                            </span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    
                                    <div class="form-group mb-3">
                                        <label for="password">Password</label>
                                        <div class="input-group ">
                                            <input type="password" name="password" id="password" class="form-control" placeholder="Enter your password" <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="form-icon display-none"><i class="fas fa-lock"></i>
                                             <strong><?php echo e($message); ?></strong>
                                            </span>
                                             <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="form-group mb-3">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" name="remember"  class="custom-control-input" id="remember" <?php echo e(old('remember') ? 'checked' : ''); ?>>
                                            <label class="custom-control-label" for="checkbox-signin"><?php echo e(__('Remember Me')); ?></label>
                                        </div>
                                    </div>

                                    <div class="form-group mb-0 text-center">
                                        <button class="btn btn-primary btn-rounded waves-effect waves-light btn-block" type="submit"> Log In </button>
                                    </div>
                                     <?php if(Route::has('password.request')): ?>
                                    <p class="mt-4 text-right"> <a href="<?php echo e(route('password.request')); ?>" class=" ml-1"> <?php echo e(__('Forgot Your Password?')); ?></a></p>
                                    <?php endif; ?>
                                </form>
                            </div> <!-- end card-body -->
                        </div>
                        <!-- end card -->
                    </div> <!-- end col -->
                    
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end page -->

        <!-- Vendor js -->
        <script src="<?php echo e(asset("/js/vendor.min.js")); ?>"></script>

        <!-- App js -->
        <script src="<?php echo e(asset("/js/app.min.js")); ?>"></script>
        
    </body>
</html>
<?php /**PATH /home/muhrah/public_html/muhrah/resources/views/auth/login.blade.php ENDPATH**/ ?>