<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Auth;
class PassengerChartController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    //

    public function index()
    {
        $Passengers = DB::table('passengers')
            ->select(DB::raw('sum( if( genderId = 1, 1, 0 ) ) AS Male,  sum( if( genderId = 2, 1, 0 ) ) AS Female,
        sum( if( loginStatusId = 1, 1, 0 ) ) AS Login,  sum( if( loginStatusId = 2, 1, 0 ) ) AS Logout,
        sum( if( deviceType = 1, 1, 0 ) ) AS Android,  sum( if( deviceType = 2, 1, 0 ) ) AS IOS,
        sum( if( validityId = 1, 1, 0 ) ) AS Approved,  sum( if( validityId = 2, 1, 0 ) ) AS NotApproved,
        count(*) AS total
        '))
            //->where('passengers.companyId', Auth::user()->companyId)
            ->get();

        return view('Passengers.chart')->with(compact('Passengers'));
    }


}
