@extends('AdminLTE')
@section('content')
    <!-- Content Header (Page header) -->
    <div style="width:100%;margin: 0px;">
        <div style="float:left;margin-top: 7px;margin-bottom:  5px;"><h2
                    style="width:100%;font-size: 14px;font-weight: bold;">
                BookingRequests</h2></div>
    </div>
    <!-- /.content-header -->
    <!--class="w3-table-all w3-card-4"-->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        function card_min() {
            document.getElementById('card-body1').style.display = 'none';
            document.getElementById('card-footer1').style.display = 'none';
            document.getElementById("corner").className = "fas fa-plus";
        }

        function card_change() {
            if (document.getElementById('card-body1').style.display == 'none') {
                document.getElementById('card-body1').style.display = '';
                document.getElementById('card-footer1').style.display = '';
                document.getElementById("corner").className = "fas fa-minus";
            } else {
                document.getElementById('card-body1').style.display = 'none';
                document.getElementById('card-footer1').style.display = 'none';
                document.getElementById("corner").className = "fas fa-plus";
            }
        }
    </script>
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default" style="width:100%;clear:both;">
        <div class="card-header" style="margin-bottom: 0PX;">
            <button class="button_search" onclick="card_change()"><i class="fa fa-search"></i></button>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" onclick="card_change()"><i id="corner"
                                                                                      class="fas fa-minus"></i></button>
            </div>
        </div>
        <!-- /.card-header -->
        <div class="card-body" id="card-body1" style="display:none">
            <table id="search_table">
                <tr>
                    <TH>Passenger</TH>
                    <td style="white-space: nowrap;">
                        <input name="filter_passengerId" id="filter_passengerId" type="hidden" value="">
                        <table style="padding: 0px 0px; !important;">
                            <tr>
                                <td>
                                    <input class="form-control" name="filter_passengerId_input"
                                           id="filter_passengerId_input" style="width:200px" type="text" value=""
                                           data-readonly>
                                </td>
                                <td>
                                    <button onclick="passenger_window();" type="button" class="btn btn-primary btn-sm">
                                        Select
                                    </button>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <TH>CarType</TH>
                    <td>
                        <select id="filter_carTypeId" name="filter_carTypeId" data-placeholder="Choose a CarType..."
                                class="form-control select2-single" style="width:200px">
                            <option value=""></option>
                            @foreach($lkp_cartypes as $cartype)
                                <option value="{{$cartype->id}}">{{$cartype->carName}}</option>
                            @endforeach
                        </select>
                    </td>
                    <TH>Pickup Address</TH>
                    <td><input class="form-control" style="width:200px" name="filter_pickupAddress"
                               id="filter_pickupAddress" type="text">
                    </td>
                </tr>
                <tr>
                    <TH>Destination Address</TH>
                    <td><input class="form-control" name="filter_destinationAddress" id="filter_destinationAddress"
                               type="text"></td>
                    <TH>PickupLatLong</TH>
                    <td><input class="form-control" name="filter_pickupLatLong" id="filter_pickupLatLong" type="text">
                    </td>
                    <TH>DestinationLatLong</TH>
                    <td><input class="form-control" name="filter_destinationLatLong" id="filter_destinationLatLong"
                               type="text"></td>
                </tr>
                <tr>
                    <TH>Estimated Price</TH>
                    <td><input class="form-control" name="filter_estimatedPrice" id="filter_estimatedPrice" type="text">
                    </td>
                    <TH>Estimated Distance</TH>
                    <td><input class="form-control" name="filter_estimatedDistance" id="filter_estimatedDistance"
                               type="text"></td>
                    <TH>Estimated Time</TH>
                    <td><input class="form-control" name="filter_estimatedTime" id="filter_estimatedTime" type="text">
                    </td>
                </tr>
                <tr>
                    <TH>Payment Type</TH>
                    <td>
                        <select id="filter_paymentTypeId" name="filter_paymentTypeId"
                                data-placeholder="Choose a CarType..." class="form-control select2-single">
                            <option value=""></option>
                            @foreach($lkp_paymenttype as $paymenttype)
                                <option value="{{$paymenttype->id}}">{{$paymenttype->paymentType}}</option>
                            @endforeach
                        </select>
                    </td>
                    <TH>Ride Status</TH>
                    <td>
                        <select id="filter_rideStatusId" name="filter_rideStatusId"
                                data-placeholder="Choose a CarType..." class="form-control select2-single">
                            <option value=""></option>
                            @foreach($lkp_requestridestatus as $requestridestatus)
                                <option value="{{$requestridestatus->id}}">{{$requestridestatus->rideStatus}}</option>
                            @endforeach
                        </select>
                    </td>
                    <TH>Created_At</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" name="filter_created_at" id="filter_created_at" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_created_at"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_created_at"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_created_at"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                </tr>
                <tr>
                    <TH>Updated_At</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" id="filter_updated_at" name="filter_updated_at" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_updated_at"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_updated_at"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_updated_at"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
        <!-- /.card-body -->
        <div class="card-footer" align="center" id="card-footer1" style="display:none">
            <button type="button" name="filter" id="filter" class="btn btn-sm btn-info">Filter</button>
            <button type="button" name="reset" id="reset" class="btn btn-sm btn-default">Reset</button>
        </div>
    </div>
    <!-- /.card -->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!--w3-table-all w3-card-4-->
    <!-- table table-bordered table-striped  -->
    <!--table-responsive-->
    <table id="customer_data" class="table table-bordered table-striped ">
        <thead>
        <tr>
            <TH>Date</TH>
            <TH>Passenger</TH>
            <TH>CarType</TH>
            <TH>Pickup Address</TH>
            <TH>Destination Address</TH>
            <TH>Estimated Price</TH>
            <TH>Estimated Distance</TH>
            <TH>Estimated Time</TH>
            <TH>Payment Type</TH>
            <TH>Drivers Notifications</TH>
            <TH>Ride Status</TH>
            <TH>Action</TH>
        </tr>
        </thead>
    </table>
    </div>
    <br/>
    <br/>
    </div>
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <div id="edit_modal" class="w3-modal" style="padding-top:10px;">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('edit_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <div class="content-header" style="width:100%;">
            </div>
            <div style="width:100%;clear:both;" id="response">
            </div>
        </div>
    </div>
    <div id="delete_modal" class="w3-modal">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('delete_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <header class="w3-container w3-text-indigo w3-margin-top-64">
                <h1>Delete</h1>
            </header>
            <form class="w3-container" action="" method="POST" id="delete_form">
                {{method_field('DELETE')}}
                @csrf
                <div class="w3-section">
                    <p>Are you sure, you want to delete <span id="delete_name"></span> ?</p>
                    <div class="w3-center">
                        <button type="submit" class="w3-btn w3-indigo"> Delete</button>
                    </div>
                </div>
            </form>
            <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                <button onclick="document.getElementById('delete_modal').style.display='none'" type="button"
                        class="w3-btn w3-red">Cancel
                </button>
            </div>
        </div>
    </div>
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        $(document).ready(function () {
            fill_datatable();

            function fill_datatable(filter_passengerId = '', filter_carTypeId = '', filter_pickupAddress = '', filter_destinationAddress = '', filter_pickupLatLong = '', filter_destinationLatLong = '', filter_estimatedPrice = '', filter_estimatedDistance = '', filter_estimatedTime = '', filter_paymentTypeId = '', filter_rideStatusId = '', filter_created_at = '', filter_updated_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    "order": [[0, "desc"]],
                    "pagingType": "full_numbers",
                    "autoWidth": false,
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
                    },
                    ajax: {
                        url: "{{ route('BookingRequests.index') }}",
                        data: {
                            filter_passengerId: filter_passengerId,
                            filter_carTypeId: filter_carTypeId,
                            filter_pickupAddress: filter_pickupAddress,
                            filter_destinationAddress: filter_destinationAddress,
                            filter_pickupLatLong: filter_pickupLatLong,
                            filter_destinationLatLong: filter_destinationLatLong,
                            filter_estimatedPrice: filter_estimatedPrice,
                            filter_estimatedDistance: filter_estimatedDistance,
                            filter_estimatedTime: filter_estimatedTime,
                            filter_paymentTypeId: filter_paymentTypeId,
                            filter_rideStatusId: filter_rideStatusId,
                            filter_created_at: filter_created_at,
                            filter_updated_at: filter_updated_at,
                        }
                    },
                    columns: [
                        {
                            data: 'created_at',
                            name: 'created_at',
                        },
                        {
                            data: 'name',
                            render: function (data, type, row, meta) {
                                return '<a href="javascript:passenger(' + row.passengerId + ')">' + data + '</a>';
                            }
                        },
                        {
                            data: 'carName',
                            name: 'carName',
                        },
                        {
                            data: 'pickupAddress',
                            name: 'pickupAddress',
                        },
                        {
                            data: 'destinationAddress',
                            name: 'destinationAddress',
                        },

                        {
                            data: 'estimatedPrice',
                            name: 'estimatedPrice',
                        },
                        {
                            data: 'estimatedDistance',
                            name: 'estimatedDistance',
                        },
                        {
                            data: 'estimatedTime',
                            name: 'estimatedTime',
                        },
                        {
                            data: 'paymentTypeId',
                            render: function (data, type, row, meta) {
                                if (data === "1") {
                                    return '<i class="fas fa-money-bill-wave"></i> ' + row.paymentType;
                                } else if (data === "2") {
                                    return '<i class="fa fa-credit-card"></i> ' + row.paymentType;
                                }
                            }
                        },
                        {
                            data: 'notifications',
                            name: 'notifications',
                            render: function (data, type, row, meta) {
                                return '<a href="javascript:notifications(' + row.id + ')">' + data + '</a>';
                            }
                        },
                        {
                            data: 'rideStatusId',
                            render: function (data, type, row, meta) {
                                if (data === "8") {
                                    return '<span class="label label-default">' + row.rideStatus + '</span>';
                                } else if (data === "9") {
                                    return '<span class="label label-danger">' + row.rideStatus + '</span>';
                                } else if (data === "1") {
                                    return '<span class="label label-warning">' + row.rideStatus + '</span>';
                                } else if (data === "2") {
                                    return '<span class="label label-primary">' + row.rideStatus + '</span>';
                                }
                            }
                        },
                        {
                            "orderable": false,
                            "className": "text-center",
                            "targets": -1,
                            data: 'id',
                            "render": function (data, type, row, meta) {
                                return '<a id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-green vd_green view"> <i class="fa fa-eye"></i> </a>'
                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }
                    ]
                });
            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/BookingRequests")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                    }
                });
            });
            $('#filter').click(function () {
                if ($('#filter_passengerId').val() != '' || $('#filter_carTypeId').val() != '' || $('#filter_pickupAddress').val() != '' || $('#filter_destinationAddress').val() != '' || $('#filter_pickupLatLong').val() != '' || $('#filter_destinationLatLong').val() != '' || $('#filter_estimatedPrice').val() != '' || $('#filter_estimatedDistance').val() != '' || $('#filter_estimatedTime').val() != '' || $('#filter_paymentTypeId').val() != '' || $('#filter_rideStatusId').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                    card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_passengerId').val(), $('#filter_carTypeId').val(), $('#filter_pickupAddress').val(), $('#filter_destinationAddress').val(), $('#filter_pickupLatLong').val(), $('#filter_destinationLatLong').val(), $('#filter_estimatedPrice').val(), $('#filter_estimatedDistance').val(), $('#filter_estimatedTime').val(), $('#filter_paymentTypeId').val(), $('#filter_rideStatusId').val(), $('#filter_created_at').val(), $('#filter_updated_at').val());
                } else {
                    alert('Select filter option');
                }
            });
            $('#reset').click(function () {
                $('#filter_passengerId').val('');
                $('#filter_passengerId_input').val('');
                $('#filter_carTypeId').val('');
                $('#filter_pickupAddress').val('');
                $('#filter_destinationAddress').val('');
                $('#filter_pickupLatLong').val('');
                $('#filter_destinationLatLong').val('');
                $('#filter_estimatedPrice').val('');
                $('#filter_estimatedDistance').val('');
                $('#filter_estimatedTime').val('');
                $('#filter_paymentTypeId').val('');
                $('#filter_rideStatusId').val('');
                $('#filter_created_at').val('');
                $('#filter_updated_at').val('');
                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });
        });

        function passenger_window() {
            myWindow1 = window.open("{{URL("/PassengerWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function passenger(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Passengers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }

        function notifications(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/RequestNotifications")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }
    </script>
@endsection
