@extends('AdminLTE')
@section('content')
    <?php $labels = '';$data = '';?>
    @foreach($Drivers as $Driver)
        <?php
        $total = $Driver->total;
        $labels_gender = "'Male=" . $Driver->Male . " " . round($Driver->Male * 100 / $total) . "%','Female=" . $Driver->Female . " " . round($Driver->Female * 100 / $total) . "%','NA=" . ($total - $Driver->Male - $Driver->Female) . " " . round(($total - $Driver->Male - $Driver->Female) * 100 / $total) . "%',";
        $data_gender = $Driver->Male . "," . $Driver->Female . "," . ($total - $Driver->Male - $Driver->Female);
        $labels_loginStatus = "'Login=" . $Driver->Login . " " . round($Driver->Login * 100 / $total) . "%','Logout=" . $Driver->Logout . " " . round($Driver->Logout * 100 / $total) . "%',";
        $data_loginStatus = $Driver->Login . "," . $Driver->Logout;
        $labels_deviceType = "'Android=" . $Driver->Android . " " . round($Driver->Android * 100 / $total) . "%','IOS=" . $Driver->IOS . " " . round($Driver->IOS * 100 / $total) . "%',";
        $data_deviceType = $Driver->Android . "," . $Driver->IOS;
        $labels_validity = "'Approved=" . $Driver->Approved . " " . round($Driver->Approved * 100 / $total) . "%','NotApproved=" . $Driver->NotApproved . " " . round($Driver->NotApproved * 100 / $total) . "%','Pending=" . $Driver->Pending . " " . round($Driver->Pending * 100 / $total) . "%',";
        $data_validity = $Driver->Approved . "," . $Driver->NotApproved. "," . $Driver->Pending;

        $labels_driverStatusId = "'Free=" . $Driver->Free . " " . round($Driver->Free * 100 / $total) . "%','Busy=" . $Driver->Busy . " " . round($Driver->Busy * 100 / $total) . "%','InRide=" . $Driver->InRide . " " . round($Driver->InRide * 100 / $total) . "%',";
        $data_driverStatusId = $Driver->Free . "," . $Driver->Busy. "," . $Driver->InRide;
        ?>
    @endforeach
    <br>
    <!-- DONUT CHART -->
    <div class="card card-danger">
        <div class="card-header">
            <h3 class="card-title">Donut Chart</h3>

            <div class="card-tools">
                <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                </button>

            </div>
        </div>
        <div class="card-body">
            <table style="border: 0px solid #000;" align=center>
                <tr>
                    <TH style="text-align: center;">Gender</TH>
                    <TH style="text-align: center;">Login Status</TH>
                    <TH style="text-align: center;">Device Type</TH>
                </tr>
                <tr>
                    <td>
                        <canvas id="gender" style="height:200px; min-height:200px;font-family:Arial"></canvas>
                    </td>
                    <td>
                        <canvas id="loginStatus" style="height:170px; min-height:170px;font-family:Arial"></canvas>
                    </td>
                    <td>
                        <canvas id="deviceType" style="height:170px; min-height:170px;font-family:Arial"></canvas>
                    </td>
                </tr>
            </table>
            <br>
            <br>
            <table style="border: 0px solid #000;" align=center>
                <tr>
                    <TH style="text-align: center;">Validity</TH>
                    <TH style="text-align: center;">Driver Status</TH>
                </tr>
                <tr>
                    <td>
                        <canvas id="validity" style="height:230px; min-height:230px;font-family:Arial"></canvas>
                    </td>
                    <td>
                        <canvas id="driverStatusId" style="height:180px; min-height:180px;font-family:Arial"></canvas>
                    </td>
                </tr>
            </table>
        </div>
        <!-- /.card-body -->
    </div>
    <!-- /.card -->
    <script>
        //---------------------------------------------------------------------------------------------
        //- DONUT CHART -
        //-------------
        // Get context with jQuery - using jQuery's .get() method.
        var donutChartCanvas = $('#gender').get(0).getContext('2d')
        var donutData = {
            labels: [
                <?php echo str_replace("&#039;", "\'", $labels_gender); ?>
            ],
            datasets: [
                {
                    data: [{{$data_gender}}],
                    backgroundColor: ['#3c8dbc', '#f56954', '#d2d6de',],
                }
            ]
        }
        var donutOptions = {
            maintainAspectRatio: false,
            responsive: true,
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions
        })
        //---------------------------------------------------------------------------------------------
        //- DONUT CHART -
        //-------------
        // Get context with jQuery - using jQuery's .get() method.
        var donutChartCanvas = $('#loginStatus').get(0).getContext('2d')
        var donutData = {
            labels: [
                <?php echo str_replace("&#039;", "\'", $labels_loginStatus); ?>
            ],
            datasets: [
                {
                    data: [{{$data_loginStatus}}],
                    backgroundColor: ['green', 'orange',],
                }
            ]
        }
        var donutOptions = {
            maintainAspectRatio: false,
            responsive: true,
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions
        })
        //---------------------------------------------------------------------------------------------
        //- DONUT CHART -
        //-------------
        // Get context with jQuery - using jQuery's .get() method.
        var donutChartCanvas = $('#deviceType').get(0).getContext('2d')
        var donutData = {
            labels: [
                <?php echo str_replace("&#039;", "\'", $labels_deviceType); ?>
            ],
            datasets: [
                {
                    data: [{{$data_deviceType}}],
                    backgroundColor: ['black', 'red',],
                }
            ]
        }
        var donutOptions = {
            maintainAspectRatio: false,
            responsive: true,
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions
        })
        //---------------------------------------------------------------------------------------------
        //- DONUT CHART -
        //-------------
        // Get context with jQuery - using jQuery's .get() method.
        var donutChartCanvas = $('#validity').get(0).getContext('2d')
        var donutData = {
            labels: [
                <?php echo str_replace("&#039;", "\'", $labels_validity); ?>
            ],
            datasets: [
                {
                    data: [{{$data_validity}}],
                    backgroundColor: ['#00c0ef', 'red','orange',],
                }
            ]
        }
        var donutOptions = {
            maintainAspectRatio: false,
            responsive: true,
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions
        })
        //---------------------------------------------------------------------------------------------
        //- DONUT CHART -
        //-------------
        // Get context with jQuery - using jQuery's .get() method.
        var donutChartCanvas = $('#driverStatusId').get(0).getContext('2d')
        var donutData = {
            labels: [
                <?php echo str_replace("&#039;", "\'", $labels_driverStatusId); ?>
            ],
            datasets: [
                {
                    data: [{{$data_driverStatusId}}],
                    backgroundColor: ['#d2d6de', 'red','#00c0ef',],
                }
            ]
        }
        var donutOptions = {
            maintainAspectRatio: false,
            responsive: true,
        }
        //Create pie or douhnut chart
        // You can switch between pie and douhnut using the method below.
        var donutChart = new Chart(donutChartCanvas, {
            type: 'doughnut',
            data: donutData,
            options: donutOptions
        })
    </script>
@endsection
