<style>
    .show_table th {
        padding: 8px 0.0rem !important;
        padding-left: 20px !important;
        white-space: nowrap;
        border: none !important;
        margin: 0 0 !important;
        vertical-align: middle !important;
    }

    .show_table td {
        padding: 0.0rem 3px !important;
        border: none !important;
        vertical-align: middle !important;
        margin: 0 0 !important;
        vertical-align: middle !important;
    }
</style>

<form method="POST" action="{{ route('Drivers.update',$Drivers->id)}}">

    @csrf
    {{method_field("PATCH")}}
    <table class="table m-0 show_table" style="width:10px!important;">
        <tr>
            <TH>Full Name <font color="red">*</font></TH>
            <td><input name="name" type="text" class="form-control" value="{{$Drivers->name}}" style="width:300px;"
                       required></td>
        </tr>
        <tr>
            <TH>Gender</TH>
            <td>
                <select class="form-control" name="genderId">
                    <option value=""></option>
                    <option value="1" @if ($Drivers->genderId=="1"){{"  selected " }}:null @endif>Male</option>
                    <option value="2" @if ($Drivers->genderId=="2"){{"  selected " }}:null @endif>Female</option>
                </select>
            </td>
        </tr>
        <tr>
            <TH>Nationality</TH>
            <td>
                <select id="nationalityId" name="nationalityId" placeholder="Select Country ..." class="form-control">
                    <option value=""></option>
                    @foreach($countries as $country)
                        <option value="{{$country->id}}"
                                @if ($Drivers->nationalityId==$country->id){{"  selected " }}:null @endif>{{$country->country_en}}</option>
                    @endforeach
                </select>
            </td>
        </tr>
        <tr>
            <TH>Mobile <font color="red">*</font></TH>
            <td><input class="form-control" name="mobileNumber" type="text" value="{{$Drivers->mobileNumber}}" required>
            </td>
        </tr>
        <tr>
            <TH>Email <font color="red">*</font></TH>
            <td><input class="form-control" name="emailAddress" type="text" value="{{$Drivers->emailAddress}}" required>
            </td>
        </tr>
        <tr>
            <TH>Date Of Birth Hijri <font color="red">*</font></TH>
            <td><input class="form-control" name="dateOfBirthHijri" id="dateOfBirthHijri" type="text"
                       value="<?php if ($Drivers->dateOfBirthHijri == "") echo ""; else echo date("d/m/Y", strtotime($Drivers->dateOfBirthHijri));?>"
                       placeholder="dd/mm/yyyy" required></td>
        </tr>
        <tr>
            <TH>Date Of Birth Gregorian <font color="red">*</font></TH>
            <td><input class="form-control" name="dateOfBirthGregorian" type="text"
                       value="<?php if ($Drivers->dateOfBirthGregorian == "") echo ""; else echo date("d/m/Y", strtotime($Drivers->dateOfBirthGregorian));?>"
                       placeholder="dd/mm/yyyy" required></td>
        </tr>
        <tr>
            <TH>ProfileImage</TH>
            <td></td>
        </tr>
        <tr>
            <TH>Identity Number <font color="red">*</font></TH>
            <td><input class="form-control" name="identityNumber" type="text" value="{{$Drivers->identityNumber}}"
                       required></td>
        </tr>
        <tr>
            <TH>Identity Proof</TH>
            <td></td>
        </tr>
        <tr>
            <TH>License Proof</TH>
            <td></td>
        </tr>
        <tr>
            <TH>Eligibility Expiry Date</TH>
            <td><input class="form-control" name="eligibilityExpiryDate" type="text"
                       value="<?php if ($Drivers->eligibilityExpiryDate == "") echo ""; else echo date("d/m/Y", strtotime($Drivers->eligibilityExpiryDate));?>"
                       placeholder="dd/mm/yyyy"></td>
        </tr>
        <tr>
            <TH>Driver Status <font color="red">*</font></TH>
            <td>
                <select class="form-control" name="driverStatusId" id="driverStatusId" required>
                    <option value=""></option>
                    @foreach($driverstatus as $driver_status)
                        <option value="{{$driver_status->id}}"
                                @if ($Drivers->driverStatusId==$driver_status->id){{"  selected " }}:null @endif>{{$driver_status->status}}</option>
                    @endforeach
                </select>
            </td>
        </tr>
        <tr>
            <TH>loginStatus</TH>
            <td>
                <select class="form-control" name="loginStatusId" id="loginStatusId">
                    <option value=""></option>
                    <option value="1" @if ($Drivers->loginStatusId=="1"){{"  selected " }}:null @endif>Login</option>
                    <option value="2" @if ($Drivers->loginStatusId=="2"){{"  selected " }}:null @endif>Logout</option>
                </select>
            </td>
        </tr>
        <tr>
            <TH>Address</TH>
            <td><input class="form-control" name="address" type="text" value="{{$Drivers->address}}"></td>
        </tr>
        <tr>
            <TH>Validity</TH>
            <td>
                <select class="form-control" name="validityId">
                    <option value=""></option>
                    <option value="1" @if ($Drivers->validityId=="1"){{"  selected " }}:null @endif>Approved</option>
                    <option value="2" @if ($Drivers->validityId=="2"){{"  selected " }}:null @endif>NotApproved</option>
                    <option value="3" @if ($Drivers->validityId=="3"){{"  selected " }}:null @endif>Pending</option>
                </select>
            </td>
        </tr>
    </table>

    <div class="w3-row">
        <button class="w3-btn-block w3-indigo w3-section w3-padding" type="submit">Update</button>
    </div>
</form>
<div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
    <button onclick="document.getElementById('edit_modal').style.display='none'" type="button" class="w3-btn w3-red">
        Cancel
    </button>
</div>


