@extends('AdminLTE')
@section('content')

    <div style="width:100%;margin: 0px;">
        <div style="float:left;margin-top: 12px;"><h2 style="width:100%;font-size: 14px;font-weight: bold;">Drivers</h2>
        </div>
        <div style="float:right;">
            <h2><a href="javascript:add();" class="btn btn-sm btn-info "><i class="fas fa-plus"></i> Add New Driver</a>
            </h2>
        </div>
    </div>
    <!-- /.content-header -->
    <!--class="w3-table-all w3-card-4"-->
    <!------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        function card_min() {
            document.getElementById('card-body1').style.display = 'none';
            document.getElementById('card-footer1').style.display = 'none';
            document.getElementById("corner").className = "fas fa-plus";
        }

        function card_change() {
            if (document.getElementById('card-body1').style.display == 'none') {
                document.getElementById('card-body1').style.display = '';
                document.getElementById('card-footer1').style.display = '';
                document.getElementById("corner").className = "fas fa-minus";
            } else {
                document.getElementById('card-body1').style.display = 'none';
                document.getElementById('card-footer1').style.display = 'none';
                document.getElementById("corner").className = "fas fa-plus";
            }
        }
    </script>
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default" style="width:100%;clear:both;">
        <div class="card-header" style="margin-bottom: 0PX;">
            <button class="button_search" onclick="card_change()"><i class="fa fa-search"></i></button>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" onclick="card_change()"><i id="corner"
                                                                                      class="fas fa-minus"></i></button>
            </div>
        </div>
        <!-- /.card-header -->
        <div class="card-body" id="card-body1" style="display:none">
            <table id="search_table" style="width:10px">
                <tr>
                    <TH>Full Name</TH>
                    <td><input id="filter_name" name="filter_name" type="text" class="form-control" style="width:200px">
                    </td>
                    <TH>Gender</TH>
                    <td>
                        <select class="form-control" id="filter_gender" name="filter_gender" style="width:200px">
                            <option value=""></option>
                            <option value="1">Male</option>
                            <option value="2">Female</option>
                        </select>
                    </td>
                    <TH>Nationality</TH>
                    <td>
                        <select id="filter_nationalityId" name="filter_nationalityId" placeholder="Select Country ..."
                                class="form-control" style="width:200px">
                            <option value=""></option>
                            @foreach($countries as $country)
                                <option value="{{$country->id}}">{{$country->country_en}}</option>
                            @endforeach
                        </select>
                    </td>
                </tr>
                <tr>
                    <TH>Mobile</TH>
                    <td><input class="form-control" id="filter_mobileNumber" name="filter_mobileNumber" type="text">
                    </td>
                    <TH>Email</TH>
                    <td><input class="form-control" id="filter_emailAddress" name="filter_emailAddress" type="text">
                    </td>
                    <TH>Date Of Birth Hijri</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" name="filter_dateOfBirthHijri" id="filter_dateOfBirthHijri"
                                   type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_dateOfBirthHijri"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_dateOfBirthHijri"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_dateOfBirthHijri"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                </tr>
                <tr>
                    <TH>Date Of Birth Gregorian</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" id="filter_dateOfBirthGregorian"
                                   name="filter_dateOfBirthGregorian" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_dateOfBirthGregorian"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_dateOfBirthGregorian"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_dateOfBirthGregorian"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                    <TH>Identity Number</TH>
                    <td><input class="form-control" id="filter_identityNumber" name="filter_identityNumber" type="text">
                    </td>
                    <TH>Eligibility Expiry Date</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" id="filter_eligibilityExpiryDate"
                                   name="filter_eligibilityExpiryDate" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_eligibilityExpiryDate"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_eligibilityExpiryDate"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_eligibilityExpiryDate"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                </tr>
                <tr>
                    <TH>Driver Status</TH>
                    <td>
                        <select class="form-control" name="filter_driverStatusId" id="filter_driverStatusId">
                            <option value=""></option>
                            @foreach($driverstatus as $driver_status)
                                <option value="{{$driver_status->id}}">{{$driver_status->status}}</option>
                            @endforeach
                        </select>
                    </td>
                    <TH>loginStatus</TH>
                    <td>
                        <select class="form-control" name="filter_loginStatus" id="filter_loginStatus">
                            <option value=""></option>
                            <option value="1">Login</option>
                            <option value="2">Logout</option>
                        </select>
                    </td>
                    <TH>Address</TH>
                    <td><input class="form-control" id="filter_address" name="filter_address" type="text"></td>
                </tr>
                <tr>
                    <TH>Validity</TH>
                    <td>
                        <select class="form-control" name="filter_validity" id="filter_validity">
                            <option value=""></option>
                            <option value="1">Approved</option>
                            <option value="2">NotApproved</option>
                            <option value="3">Pending</option>
                        </select>
                    </td>
                    <TH>Rating</TH>
                    <td><input class="form-control" id="filter_rating" name="filter_rating" type="text"></td>
                    <TH>CompleteTrips</TH>
                    <td><input class="form-control" id="filter_completeTrips" name="filter_completeTrips" type="text"></td>
                </tr>
                <tr>
                    <TH>Validity Date</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" id="filter_validity_dt"
                                   name="filter_validity_dt" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_validity_dt"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_validity_dt"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_validity_dt"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                    <TH>CancelledTrips</TH>
                    <td><input class="form-control" id="filter_cancelledTrips" name="filter_cancelledTrips" type="text">
                    </td>

                </tr>
                <tr>
                    <TH>Validity By</TH>
                    <td>
                        <select class="form-control" name="filter_validity_by_id" id="filter_validity_by_id">
                            <option value=""></option>
                            @foreach($users as $user)
                                <option value="{{$user->id}}">{{$user->name}}</option>
                            @endforeach
                        </select>
                    </td>
                    <TH>Created_At</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" name="filter_created_at" id="filter_created_at" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_created_at"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_created_at"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_created_at"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                    <TH>Updated_At</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" id="filter_updated_at" name="filter_updated_at" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_updated_at"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_updated_at"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_updated_at"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
        <!-- /.card-body -->
        <div class="card-footer" align="center" id="card-footer1" style="display:none">
            <button type="button" name="filter" id="filter" class="btn btn-sm btn-info">Filter</button>
            <button type="button" name="reset" id="reset" class="btn btn-sm btn-default">Reset</button>
        </div>
    </div>
    <!-- /.card -->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->

    <!--w3-table-all w3-card-4-->
    <!-- table table-bordered table-striped  -->
    <table id="customer_data" class="table table-bordered table-striped">
        <thead>
        <tr>
            <TH>Created</TH>
            <TH>Name</TH>
            <TH>Mobile</TH>
            <TH>Login Status</TH>
            <TH>Driver Status</TH>
            <TH>Rating</TH>
            <TH>Complete Trips</TH>
            <TH>Cancelled Trips</TH>
            <TH>Validity</TH>
            <TH>Validity Date</TH>
            <TH>Validity By</TH>
            <TH>Action</TH>
        </tr>
        </thead>
    </table>
    <br/>
    <br/>
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <div id="edit_modal" class="w3-modal" style="padding-top:10px;">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:850px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('edit_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <div class="content-header" style="width:100%;">
            </div>
            <div style="width:100%;clear:both;" id="response">
            </div>

        </div>
    </div>
    <div id="delete_modal" class="w3-modal">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('delete_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <header class="w3-container w3-text-indigo w3-margin-top-64">
                <h1>Delete</h1>
            </header>
            <form class="w3-container" action="" method="POST" id="delete_form">
                {{method_field('DELETE')}}
                @csrf
                <div class="w3-section">
                    <p>Are you sure, you want to delete <span id="delete_name"></span> ?</p>
                    <div class="w3-center">
                        <button type="submit" class="w3-btn w3-indigo"> Delete</button>
                    </div>
                </div>
            </form>
            <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                <button onclick="document.getElementById('delete_modal').style.display='none'" type="button"
                        class="w3-btn w3-red">Cancel
                </button>
            </div>
        </div>
    </div>
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        $(document).ready(function () {
            fill_datatable();

            function fill_datatable(filter_name = '', filter_mobileNumber = '', filter_emailAddress = '', filter_dateOfBirthHijri = '', filter_dateOfBirthGregorian = '', filter_nationalityId = '', filter_identityNumber = '', filter_eligibilityExpiryDate = '', filter_driverStatusId = '', filter_gender = '', filter_address = '', filter_rating = '', filter_loginStatus = '', filter_completeTrips = '', filter_cancelledTrips = '', filter_validity = '', filter_validity_dt = '', filter_validity_by_id = '', filter_created_at = '', filter_updated_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    order: [[0, "desc"]],
                    "pagingType": "full_numbers",
                    "autoWidth": false,
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
                    },
                    ajax: {
                        url: "{{ route('Drivers.index') }}",
                        data: {
                            filter_name: filter_name,
                            filter_mobileNumber: filter_mobileNumber,
                            filter_emailAddress: filter_emailAddress,
                            filter_dateOfBirthHijri: filter_dateOfBirthHijri,
                            filter_dateOfBirthGregorian: filter_dateOfBirthGregorian,
                            filter_nationalityId: filter_nationalityId,
                            filter_identityNumber: filter_identityNumber,
                            filter_eligibilityExpiryDate: filter_eligibilityExpiryDate,
                            filter_driverStatusId: filter_driverStatusId,
                            filter_gender: filter_gender,
                            filter_address: filter_address,
                            filter_rating: filter_rating,
                            filter_loginStatus: filter_loginStatus,
                            filter_completeTrips: filter_completeTrips,
                            filter_cancelledTrips: filter_cancelledTrips,
                            filter_validity: filter_validity,
                            filter_validity_dt: filter_validity_dt,
                            filter_validity_by_id: filter_validity_by_id,
                            filter_created_at: filter_created_at,
                            filter_updated_at: filter_updated_at
                        }
                    },
                    columns: [
                        //{
                        //    data:'CustomerID',
                        //    name:'CustomerID'
                        //},
                        {
                            data: 'created_at',
                            name: 'created_at',
                            //visible:false
                        },
                        {
                            data: 'name',
                            name: 'name',
                            //visible:false
                        },
                        {
                            data: 'mobileNumber',
                            name: 'mobileNumber'
                        },
                        {
                            data: 'loginStatusId',
                            render: function (data, type, row, meta) {
                                if (data === "1") {
                                    return '<span class="label label-success">Login</span>';
                                } else if (data === "2") {
                                    return '<span class="label label-danger">Logout</span>';
                                }
                            }
                        },
                        {
                            data: 'driverStatusId',
                            render: function (data, type, row, meta) {
                                if (data === "3") {
                                    return '<i class="fas fa-taxi"></i> In Ride';
                                } else if (data === "2") {
                                    return '<i class="fa fa-retweet"></i> Busy';
                                } else if (data === "1") {
                                    return '<i class="fa fa-check" ></i> Free';
                                }
                            }
                        },
                        {
                            data: 'rating',
                            name: 'rating'
                        },
                        {
                            data: 'completeTrips',
                            name: 'completeTrips'
                        },
                        {
                            data: 'cancelledTrips',
                            name: 'cancelledTrips'
                        },
                        {
                            data: 'validityId',
                            render: function (data, type, row, meta) {
                                if (data === "1") {
                                    return '<span class="label label-primary"><i class="fa fa-check" ></i> Approved</span>';
                                } else if (data === "2") {
                                    return '<span class="label label-danger">NotApproved</span>';
                                } else if (data === "3") {
                                    return '<span class="label label-warning"><i class="fa fa-spinner"></i> Pending</span>';
                                }
                            }
                        },
                        {
                            data: 'validity_dt',
                            name: 'validity_dt'
                        },
                        {
                            data: 'validity_by_name',
                            name: 'validity_by_name'
                        },
                        {
                            "orderable": false,
                            "targets": -1,
                            //"data": 'id',
                            "render": function (data, type, row, meta) {
                                return '<a id=' + row.id + ' data-original-title="edit" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-yellow vd_yellow edit"> <i class="fas fa-pencil-alt"></i> </a>' +
                                    '&nbsp;<a id=' + row.id + ' data-original-title="delete" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-red vd_red delete"> <i class="fas fa-times"></i> </a>' +
                                    '&nbsp;<a id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-green vd_green view"> <i class="fa fa-eye"></i> </a>'
                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }
                    ]
                });
            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL('/Drivers')}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                    }
                });
            });
            $('#customer_data tbody').on('click', '.edit', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL('/Drivers')}}" + "/" + id + "/edit",
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                    }
                });
            });
            $('#customer_data tbody').on('click', '.delete', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                document.getElementById('delete_form').action = "{{URL('/Drivers')}}" + "/" + id;
                document.getElementById('delete_modal').style.display = 'block';
                //document.getElementById('response').innerHTML=data;
            });
            $('#filter').click(function () {
                if ($('#filter_name').val() != '' || $('#filter_mobileNumber').val() != '' || $('#filter_emailAddress').val() != '' || $('#filter_dateOfBirthHijri').val() != '' || $('#filter_dateOfBirthGregorian').val() != '' || $('#filter_nationalityId').val() != '' || $('#filter_identityNumber').val() != '' || $('#filter_eligibilityExpiryDate').val() != '' || $('#filter_driverStatusId').val() != '' || $('#filter_gender').val() != '' || $('#filter_address').val() != '' || $('#filter_rating').val() != '' || $('#filter_loginStatus').val() != '' || $('#filter_completeTrips').val() != '' || $('#filter_cancelledTrips').val() != '' || $('#filter_validity').val() != '' ||$('#filter_validity_dt').val() != '' ||$('#filter_validity_by_id').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                    card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_name').val(), $('#filter_mobileNumber').val(), $('#filter_emailAddress').val(), $('#filter_dateOfBirthHijri').val(), $('#filter_dateOfBirthGregorian').val(), $('#filter_nationalityId').val(), $('#filter_identityNumber').val(), $('#filter_eligibilityExpiryDate').val(), $('#filter_driverStatusId').val(), $('#filter_gender').val(), $('#filter_address').val(), $('#filter_rating').val(), $('#filter_loginStatus').val(), $('#filter_completeTrips').val(), $('#filter_cancelledTrips').val(), $('#filter_validity').val(),$('#filter_validity_dt').val(),$('#filter_validity_by_id').val(), $('#filter_created_at').val(), $('#filter_updated_at').val());
                } else {
                    alert('Select filter option');
                }
            });
            $('#reset').click(function () {
                $('#filter_name').val('');
                $('#filter_mobileNumber').val('');
                $('#filter_emailAddress').val('');
                $('#filter_dateOfBirthHijri').val('');
                $('#filter_dateOfBirthGregorian').val('');
                $('#filter_nationalityId').val('');
                $('#filter_identityNumber').val('');
                $('#filter_eligibilityExpiryDate').val('');
                $('#filter_driverStatusId').val('');
                $('#filter_gender').val('');
                $('#filter_address').val('');
                $('#filter_rating').val('');
                $('#filter_loginStatus').val('');
                $('#filter_completeTrips').val('');
                $('#filter_cancelledTrips').val('');
                $('#filter_validity').val('');
                $('#filter_validity_dt').val('');
                $('#filter_validity_by_id').val('');
                $('#filter_created_at').val('');
                $('#filter_updated_at').val('');
                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });
        });

        function add() {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Drivers/create")}}",
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }
    </script>
@endsection
