<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>AdminLTE 3 | DataTables</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{asset("/AdminLTE/plugins/fontawesome-free/css/all.min.css")}}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="{{asset("/AdminLTE/plugins/daterangepicker/daterangepicker.css")}}">
    <!-- Tempusdominus Bbootstrap 4 -->
<!--<link rel="stylesheet" href="{{asset("/AdminLTE/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css")}}">-->
    <!-- iCheck -->
    <link rel="stylesheet" href="{{asset("/AdminLTE/plugins/icheck-bootstrap/icheck-bootstrap.min.css")}}">
    <!-- w3schools -->
    <link rel="stylesheet" href="http://www.w3schools.com/lib/w3.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="{{asset("/AdminLTE/plugins/datatables-bs4/css/dataTables.bootstrap4.css")}}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{asset("/AdminLTE/dist/css/adminlte.css")}}">
    <link rel="stylesheet" href="{{asset("/AdminLTE/dist/css/customize.css")}}">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">


    <!-- jQuery -->
    <script type="text/javascript" src="{{asset("/AdminLTE/plugins/jquery/jquery.min.js")}}"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="{{asset("/AdminLTE/plugins/jquery-ui/jquery-ui.min.js")}}"></script>
    <!-- Bootstrap 4 -->
    <script type="text/javascript" src="{{asset("/AdminLTE/plugins/bootstrap/js/bootstrap.bundle.min.js")}}"></script>
    <!-- ChartJS -->
    <script src="{{asset("/AdminLTE/plugins/chart.js/Chart.min.js")}}"></script>
    <!-- daterangepicker -->
    <script src="{{asset("/AdminLTE/plugins/moment/moment.min.js")}}"></script>
    <script src="{{asset("/AdminLTE/plugins/daterangepicker/daterangepicker.js")}}"></script>
    <!-- Tempusdominus Bootstrap 4 -->
<!--<script src="{{asset("/AdminLTE/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js")}}"></script>-->

    <!-- DataTables -->
    <script src="{{asset("/AdminLTE/plugins/datatables/jquery.dataTables.js")}}"></script>
    <script src="{{asset("/AdminLTE/plugins/datatables-bs4/js/dataTables.bootstrap4.js")}}"></script>
    <!-- AdminLTE App -->
    <script src="{{asset("/AdminLTE/dist/js/adminlte.min.js")}}"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="{{asset("/AdminLTE/dist/js/demo.js")}}"></script>

</head>
<body style="margin:10px;padding:0">
<!-- Content Header (Page header) -->
<div class="content-header" style="width:100%;">
    <div style="float:left;margin-top: 12px;"><h2 style="width:100%;font-size: 14px;font-weight: bold;">Passengers</h2>
    </div>

</div>
<!-- /.content-header -->
<!--class="w3-table-all w3-card-4"-->

<!---------------------------------------------------------------------------------------------------------------------->
<!---------------------------------------------------------------------------------------------------------------------->
<script>
    function card_min() {
        document.getElementById('card-body1').style.display = 'none';
        document.getElementById('card-footer1').style.display = 'none';
        document.getElementById("corner").className = "fas fa-plus";
    }

    function card_change() {
        if (document.getElementById('card-body1').style.display == 'none') {
            document.getElementById('card-body1').style.display = '';
            document.getElementById('card-footer1').style.display = '';
            document.getElementById("corner").className = "fas fa-minus";
        } else {
            document.getElementById('card-body1').style.display = 'none';
            document.getElementById('card-footer1').style.display = 'none';
            document.getElementById("corner").className = "fas fa-plus";
        }
    }
</script>
<!-- SELECT2 EXAMPLE -->
<div class="card card-default" style="width:100%;clear:both;">
    <div class="card-header" style="margin-bottom: 0PX;">
        <button class="button_search" onclick="card_change()"><i class="fa fa-search"></i></button>
        <div class="card-tools">
            <button type="button" class="btn btn-tool" onclick="card_change()"><i id="corner" class="fas fa-minus"></i>
            </button>
        </div>
    </div>
    <!-- /.card-header -->
    <div class="card-body" id="card-body1" style="display:none">
        <table id="search_table" style="width: 10px">
            <tr>
                <th>Name</th>
                <td><input class="form-control" style="width:200px" name="filter_name" id="filter_name" type="text"
                           value=""></td>
                <th>Email</th>
                <td><input class="form-control" style="width:200px" name="filter_email" id="filter_email" type="text"
                           value=""></td>
            </tr>
            <tr>
                <th>Mobile</th>
                <td><input class="form-control" name="filter_mobile" id="filter_mobile" type="text" value=""></td>
                <th>Device Type</th>
                <td><select class="form-control" name="filter_deviceType" id="filter_deviceType">
                        <option value=""></option>
                        <option value="1">Android</option>
                        <option value="2">IOS</option>
                    </select>
                </td>
            </tr>
            <tr>
                <th>Login Status</th>
                <td><select class="form-control" name="filter_loginStatus" id="filter_loginStatus">
                        <option value=""></option>
                        <option value="1">Login</option>
                        <option value="2">Logout</option>
                    </select>
                </td>
                <th>Validity</th>
                <td><select class="form-control" name="filter_validity" id="filter_validity">
                        <option value=""></option>
                        <option value="1">Approved</option>
                        <option value="2">NotApproved</option>
                    </select>
                </td>
            </tr>
            <tr>
                <th>Gender</th>
                <td><select class="form-control" name="filter_gender" id="filter_gender">
                        <option value=""></option>
                        <option value="1">Male</option>
                        <option value="2">Female</option>
                    </select>
                </td>
                <th>Created At</th>
                <td>
                    <div class="input-group">
                        <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                        </div>
                        <input type="text" class="form-control" name="filter_created_at" id="filter_created_at"
                               value=""/>
                        <script>
                            $(function () {
                                $('input[name="filter_created_at"]').daterangepicker({
                                    autoUpdateInput: false,
                                    opens: 'left',
                                    locale: {
                                        cancelLabel: 'Cancel'
                                    }
                                });
                                $('input[name="filter_created_at"]').on('apply.daterangepicker', function (ev, picker) {
                                    $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                });
                                $('input[name="filter_created_at"]').on('cancel.daterangepicker', function (ev, picker) {
                                    $(this).val('');
                                });
                            });
                        </script>
                    </div>

                </td>
            </tr>
        </table>


    </div>
    <!-- /.card-body -->
    <div class="card-footer" align="center" id="card-footer1" style="display:none">
        <button type="button" name="filter" id="filter" class="btn btn-sm btn-info">Filter</button>

        <button type="button" name="reset" id="reset" class="btn btn-sm btn-default">Reset</button>
    </div>
</div>
<!-- /.card -->
<!---------------------------------------------------------------------------------------------------------------------->
<!---------------------------------------------------------------------------------------------------------------------->


<!--w3-table-all w3-card-4-->
<!-- table table-bordered table-striped  -->


<table id="customer_data" class="w3-table-all w3-card-4">
    <thead>
    <tr>
        <TH>Name</TH>
        <TH>Gender</TH>
        <TH>mobile</TH>
        <TH>loginStatus</TH>
        <TH>created_at</TH>
        <TH>deviceType</TH>
        <TH>Action</TH>
    </tr>
    </thead>
</table>
</div>
<br/>
<br/>
</div>

<!---------------------------------------------------------------------------------------------------------------------->
<!---------------------------------------------------------------------------------------------------------------------->
<div id="edit_modal" class="modal" style="padding-top:10px;">
    <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
        <div class="w3-center"><br>
            <span onclick="document.getElementById('edit_modal').style.display='none'"
                  class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright" title="Close Modal">&times;</span>
        </div>
        <div class="content-header" style="width:100%;">
            <div style="float:left;margin-top: 12px;margin-left: 20px;"><h2
                    style="width:100%;font-size: 14px;font-weight: bold;">Passengers</h2>
            </div>
        </div>
        <div style="width:100%;clear:both;" id="response">
        </div>
        <br>
        <br>
    </div>
</div>
<div id="delete_modal" class="w3-modal">
    <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
        <div class="w3-center"><br>
            <span onclick="document.getElementById('delete_modal').style.display='none'"
                  class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright" title="Close Modal">&times;</span>
        </div>
        <header class="w3-container w3-text-indigo w3-margin-top-64">
            <h1>Delete</h1>
        </header>
        <form class="w3-container" action="" method="POST" id="delete_form">
            {{method_field('DELETE')}}
            @csrf
            <div class="w3-section">
                <p>Are you sure, you want to delete <span id="delete_name"></span> ?</p>
                <div class="w3-center">
                    <button type="submit" class="w3-btn w3-indigo"> Delete</button>
                </div>
            </div>
        </form>
        <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
            <button onclick="document.getElementById('delete_modal').style.display='none'" type="button"
                    class="w3-btn w3-red">Cancel
            </button>
        </div>
    </div>
</div>
<!---------------------------------------------------------------------------------------------------------------------->
<!---------------------------------------------------------------------------------------------------------------------->


<script>
    $(document).ready(function () {

        fill_datatable();

        function fill_datatable(filter_name = '', filter_email = '', filter_mobile = '', filter_deviceType = '', filter_loginStatus = '', filter_validity = '', filter_gender = '', filter_created_at = '') {
            var dataTable = $('#customer_data').DataTable({
                //searching: false,
                responsive: true,
                processing: true,
                serverSide: true,
                "pagingType": "full_numbers",
                "autoWidth": false,
                ajax: {
                    url: "{{ URL('/PassengerWindow') }}",
                    data: {
                        filter_name: filter_name, filter_email: filter_email, filter_mobile: filter_mobile,
                        filter_deviceType: filter_deviceType, filter_loginStatus: filter_loginStatus,
                        filter_validity: filter_validity, filter_gender, filter_created_at: filter_created_at
                    }

                },

                columns: [
                    //{
                    //    data:'CustomerID',
                    //    name:'CustomerID'
                    //},
                    {
                        data: 'name',
                        name: 'name',
                        //visible:false
                    },
                    {
                        data: 'gender_name',
                        name: 'gender_name'
                    },
                    {
                        data: 'mobile',
                        name: 'mobile'
                    },
                    {
                        data: 'loginStatusId',
                        render: function (data, type, row, meta) {
                            if (data === "1") {
                                return '<span class="label label-success">Login</span>';
                            } else {
                                return '<span class="label label-danger">Logout</span>';
                            }
                        }
                    },
                    {
                        data: 'created_at',
                        name: 'created_at'
                    },
                    {
                        data: 'deviceType_name',
                        name: 'deviceType_name'
                    },
                    {
                        "orderable": false,
                        "targets": -1,
                        //"data": 'id',
                        "render": function (data, type, row, meta) {
                            return '<a href="javascript:select(' + row.id + ',\'' + row.name + '\')" id=' + row.id + ' data-original-title="select" data-toggle="tooltip" data-placement="top" class=" view"> Select </a>'


                        }
                        //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                    }

                ]
            });


        }


        $('#filter').click(function () {

            if ($('#filter_name').val() != '' || $('#filter_email').val() != '' || $('#filter_mobile').val() != '' || $('#filter_deviceType').val() != '' || $('#filter_loginStatus').val() != '' || $('#filter_validity').val() != '' || $('#filter_gender').val() != '' || $('#filter_created_at').val() != '') {
                card_min();
                $('#customer_data').DataTable().destroy();
                fill_datatable($('#filter_name').val(), $('#filter_email').val(), $('#filter_mobile').val(), $('#filter_deviceType').val(), $('#filter_loginStatus').val(), $('#filter_validity').val(), $('#filter_gender').val(), $('#filter_created_at').val());
            } else {
                alert('Select filter option');
            }
        });

        $('#reset').click(function () {
            $('#filter_name').val('');
            $('#filter_email').val('');
            $('#filter_mobile').val('');
            $('#filter_deviceType').val('');
            $('#filter_loginStatus').val('');
            $('#filter_validity').val('');
            $('#filter_gender').val('');
            $('#filter_created_at').val('');

            $('#customer_data').DataTable().destroy();
            fill_datatable();
        });

    });

    function select(id, name) {
        //alert(opener.document.getElementById('driverId_text').innerHTML);
        if (opener.document.getElementById('passengerId')) {
            opener.document.getElementById('passengerId_input').value = name;
            opener.document.getElementById('passengerId').value = id;
        }
        if (opener.document.getElementById('filter_passengerId')) {
            opener.document.getElementById('filter_passengerId_input').value = name;
            opener.document.getElementById('filter_passengerId').value = id;
        }
        close();
    }
</script>
