<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">

    <link rel="stylesheet" href="{{asset("/AdminLTE/dist/css/adminlte.css")}}">
    <link rel="stylesheet" href="{{asset("/AdminLTE/login/style.css")}}">


</head>

<!-- partial:index.partial.html -->
<body style="margin: 0px 0px !important;padding: 0px 0px !important;">

<div class="container-login100" style="background-image: url('{{asset("/AdminLTE/login/bg-01.jpg")}}');">


    <table><tr><td>
                <div  style="width:100%;display: inline-block;;padding: 0px 0px !important;margin: 0 0 !important;">

                    @include('pages.messages')
                </div>
            </td></tr><tr>
            <td>
    <div class="session" style="width: 700px">
    <div class="left" style="text-align: center;">
        <img src="{{asset("/images/cartypes/muhrah.jpeg")}}" alt="IMG" width="130px"
             class="brand-image img-circle elevation-3"
             style="opacity: 2.8;border-radius: 100px;-webkit-border-radius: 100px;-moz-border-radius: 100px;">
    </div>
    <form method="POST" action="{{ route('login') }}" class="log-in">
        @csrf

        <h4>We are <span>Muhrah</span></h4>
        <p>Welcome back! Log in to your account.</p>
        <div class="floating-label">
            <!-- <input placeholder="Email" type="email" name="email" id="email" autocomplete="off">-->

            <input placeholder="Email" id="email" type="email"  @error('email') is-invalid @enderror"
                   name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>

            @error('email')
            <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
            @enderror
            <label for="email">Email:</label>
            <div class="icon">

                <svg enable-background="new 0 0 100 100" version="1.1" viewBox="0 0 100 100" xml:space="preserve"
                     xmlns="http://www.w3.org/2000/svg">
<style type="text/css">
    .st0 {
        fill: none;
    }
</style>
                    <g transform="translate(0 -952.36)">
                        <path d="m17.5 977c-1.3 0-2.4 1.1-2.4 2.4v45.9c0 1.3 1.1 2.4 2.4 2.4h64.9c1.3 0 2.4-1.1 2.4-2.4v-45.9c0-1.3-1.1-2.4-2.4-2.4h-64.9zm2.4 4.8h60.2v1.2l-30.1 22-30.1-22v-1.2zm0 7l28.7 21c0.8 0.6 2 0.6 2.8 0l28.7-21v34.1h-60.2v-34.1z"/>
                    </g>
                    <rect class="st0" width="100" height="100"/>
</svg>

            </div>
        </div>
        <div class="floating-label">
            <!--<input placeholder="Password" type="password" name="password" id="password" autocomplete="off">-->
            <input placeholder="Password" id="password" type="password"
                    @error('password') is-invalid @enderror" name="password" required
                   autocomplete="current-password">

            @error('password')
            <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
            @enderror

            <label for="password">Password:</label>
            <div class="icon">


                <svg enable-background="new 0 0 24 24" version="1.1" viewBox="0 0 24 24" xml:space="preserve"
                     xmlns="http://www.w3.org/2000/svg">
<style type="text/css">
    .st0 {
        fill: none;
    }

    .st1 {
        fill: #010101;
    }
</style>
                    <rect class="st0" width="24" height="24"/>
                    <path class="st1" d="M19,21H5V9h14V21z M6,20h12V10H6V20z"/>
                    <path class="st1"
                          d="M16.5,10h-1V7c0-1.9-1.6-3.5-3.5-3.5S8.5,5.1,8.5,7v3h-1V7c0-2.5,2-4.5,4.5-4.5s4.5,2,4.5,4.5V10z"/>
                    <path class="st1"
                          d="m12 16.5c-0.8 0-1.5-0.7-1.5-1.5s0.7-1.5 1.5-1.5 1.5 0.7 1.5 1.5-0.7 1.5-1.5 1.5zm0-2c-0.3 0-0.5 0.2-0.5 0.5s0.2 0.5 0.5 0.5 0.5-0.2 0.5-0.5-0.2-0.5-0.5-0.5z"/>
</svg>
            </div>

        </div>
        <div  style="width:100%;">

            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            &nbsp;&nbsp;&nbsp;&nbsp;

                    <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>

                    <label class="form-check-label" for="remember">
                        {{ __('Remember Me') }}
                    </label>




        </div>
        <button type="submit" >Log in</button>
        <!--<a href="https://codepen.io/elujambio/pen/yjwzGP" class="discrete" target="_blank">Basic version</a>-->
        @if (Route::has('password.request'))
            <a   class="discrete" href="{{ route('password.request') }}">
                {{ __('Forgot Your Password?') }}
            </a>
        @endif
    </form>
</div>
</div>
</td></tr></table>
</body>
<!-- partial -->


