<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>AdminLTE 3 | DataTables</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="<?php echo e(asset("/AdminLTE/plugins/fontawesome-free/css/all.min.css")); ?>">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="<?php echo e(asset("/AdminLTE/plugins/daterangepicker/daterangepicker.css")); ?>">
    <!-- Tempusdominus Bbootstrap 4 -->
<!--<link rel="stylesheet" href="<?php echo e(asset("/AdminLTE/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css")); ?>">-->
    <!-- iCheck -->
    <link rel="stylesheet" href="<?php echo e(asset("/AdminLTE/plugins/icheck-bootstrap/icheck-bootstrap.min.css")); ?>">
    <!-- w3schools -->
    <link rel="stylesheet" href="<?php echo e(asset("/AdminLTE/dist/css/w3.css")); ?>">
    <!-- DataTables -->
    <link rel="stylesheet" href="<?php echo e(asset("/AdminLTE/plugins/datatables-bs4/css/dataTables.bootstrap4.css")); ?>">
    <!-- Theme style -->
    <link rel="stylesheet" href="<?php echo e(asset("/AdminLTE/dist/css/adminlte.css")); ?>">
    <link rel="stylesheet" href="<?php echo e(asset("/AdminLTE/dist/css/customize.css")); ?>">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

    <!-------------------------------------------------------------------------------------------------------------------->
    <!-- jQuery -->
    <script type="text/javascript" src="<?php echo e(asset("/AdminLTE/plugins/jquery/jquery.min.js")); ?>"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="<?php echo e(asset("/AdminLTE/plugins/jquery-ui/jquery-ui.min.js")); ?>"></script>
    <!-- Bootstrap 4 -->
    <script type="text/javascript" src="<?php echo e(asset("/AdminLTE/plugins/bootstrap/js/bootstrap.bundle.min.js")); ?>"></script>
    <!-- ChartJS -->
    <script src="<?php echo e(asset("/AdminLTE/plugins/chart.js/Chart.min.js")); ?>"></script>
    <!-- daterangepicker -->
    <script src="<?php echo e(asset("/AdminLTE/plugins/moment/moment.min.js")); ?>"></script>
    <script src="<?php echo e(asset("/AdminLTE/plugins/daterangepicker/daterangepicker.js")); ?>"></script>
    <!-- Tempusdominus Bootstrap 4 -->
<!--<script src="<?php echo e(asset("/AdminLTE/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js")); ?>"></script>-->

    <!-- DataTables -->
    <script src="<?php echo e(asset("/AdminLTE/plugins/datatables/jquery.dataTables.js")); ?>"></script>
    <script src="<?php echo e(asset("/AdminLTE/plugins/datatables-bs4/js/dataTables.bootstrap4.js")); ?>"></script>
    <!-- AdminLTE App -->
    <script src="<?php echo e(asset("/AdminLTE/dist/js/adminlte.min.js")); ?>"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="<?php echo e(asset("/AdminLTE/dist/js/demo.js")); ?>"></script>

</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-dark " style="background-color: #2F7397;">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" data-widget="pushmenu" href="#"><i class="fas fa-bars"></i></a>
            </li>

        </ul>
    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary ">
        <!-- Brand Logo -->
        <a href="#" class="brand-link ">
            <img src="<?php echo e(asset("/images/cartypes/muhrah.jpeg")); ?>" alt="AdminLTE Logo"
                 class="brand-image img-circle elevation-3"
                 style="opacity: 2.8">
            <span class="brand-text font-weight-light"
                  style="font-family: Calibri;font-size: 16px;font-weight: bold !important;">Muhrah Dashboard</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar user panel (optional) -->
            <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                <div class="image">
                    <img src="<?php echo e(asset("/AdminLTE/dist/img/user2-160x160.jpg")); ?>" class="img-circle elevation-2"
                         alt="User Image">
                </div>
                <div class="info">
                    <table border="0">
                        <tr>
                            <td style="font-size: 14px;">
                                <?php if(Auth::guest()): ?>
                                    <a href="<?php echo e(URL('/login')); ?>" class="d-block">Login</a>
                                <?php else: ?>
                                    <a href="" class="d-block"><?php echo e(Auth::user()->name); ?></a>
                                    <?php endif; ?>

                                    </a>
                            </td>
                            <td>&nbsp;&nbsp;</td>
                            <td height=16>

                                <?php if(!Auth::guest()): ?><a class="d-block" href="<?php echo e(route('logout')); ?>"
                                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                    <img src="<?php echo e(asset("/AdminLTE/dist/img/logout.jpg")); ?>"
                                         border="3" style="height:14px;width:60px"/></a>
                                <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST"
                                      style="display: none;">
                                    <?php echo e(csrf_field()); ?>

                                </form>
                                <?php endif; ?>

                            </td>
                        </tr>
                    </table>
                </div>
            </div>

            <!-- Sidebar Menu -->
            <nav class="mt-2" style="font-size: 14px;!important;font-family: " Segoe UI
            "">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <!-- Add icons to the links using the .nav-icon class
                     with font-awesome or any other icon font library -->
                <li class="nav-item has-treeview <?php echo e((request()->is('Users')||request()->is('UsersRole')) ? 'menu-open' : ''); ?>">
                    <a href="#"
                       class="nav-link <?php echo e((request()->is('Users')||request()->is('UsersRole')) ? 'active' : ''); ?>">
                        <i class="fas fa-lock nav-icon"></i>


                        <p>
                            Admin
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/Users")); ?>"
                               class="nav-link  <?php echo e((request()->is('Users')||request()->is('Users/*')) ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Users</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/UsersRole")); ?>"
                               class="nav-link <?php echo e(request()->is('UsersRole*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>UserRole</p>
                            </a>
                        </li>

                    </ul>
                </li>


                <li class="nav-item has-treeview <?php echo e((request()->is('Passengers*')||request()->is('PassengerChart*')||request()->is('DailyPassengerRegistration*')) ? 'menu-open' : ''); ?>">
                    <a href="#"
                       class="nav-link <?php echo e((request()->is('Passengers*')||request()->is('PassengerChart*')||request()->is('DailyPassengerRegistration*')) ? 'active' : ''); ?>">
                        <i class="fa fa-users nav-icon" style="font-size: 14px;!important;"></i>

                        <p>
                            Passengers
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/Passengers")); ?>"
                               class="nav-link <?php echo e(request()->is('Passengers*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Passengers</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/PassengerChart")); ?>"
                               class="nav-link <?php echo e(request()->is('PassengerChart*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Chart</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/DailyPassengerRegistration")); ?>"
                               class="nav-link <?php echo e(request()->is('DailyPassengerRegistration*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Daily Passenger Registration</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e((request()->is('Drivers*')||request()->is('DriverVehicles*')||request()->is('DriverChart*')||request()->is('DriverVehicleChart*')||request()->is('DailyDriverRegistration*'))? 'menu-open' : ''); ?>">
                    <a href="#"
                       class="nav-link <?php echo e((request()->is('Drivers*')||request()->is('DriverVehicles*')||request()->is('DriverChart*')||request()->is('DriverVehicleChart*')||request()->is('DailyDriverRegistration*')) ? 'active' : ''); ?>">
                        <i class="fa fa-user nav-icon"></i>
                        <p>
                            Drivers
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/Drivers")); ?>"
                               class="nav-link <?php echo e(request()->is('Drivers*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Drivers</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/DriverVehicles")); ?>"
                               class="nav-link <?php echo e(request()->is('DriverVehicles*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Driver Vehicles</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/DriverChart")); ?>"
                               class="nav-link <?php echo e(request()->is('DriverChart*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Drivers Chart</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/DriverVehicleChart")); ?>"
                               class="nav-link <?php echo e(request()->is('DriverVehicleChart*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Driver Vehicles Chart</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/DailyDriverRegistration")); ?>"
                               class="nav-link <?php echo e(request()->is('DailyDriverRegistration*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Daily Driver Registration</p>
                            </a>
                        </li>

                    </ul>
                </li>
                <!-------------------------------------------------------------------------------------------------------------------->
                <li class="nav-item has-treeview <?php echo e((request()->is('Trips*')||request()->is('BookingRequests*')||request()->is('BookingRequestChart*')||request()->is('TripChart*')) ? 'menu-open' : ''); ?>">
                    <a href="#"
                       class="nav-link <?php echo e((request()->is('Trips*')||request()->is('BookingRequests*')||request()->is('BookingRequestChart*')||request()->is('TripChart*')) ? 'active' : ''); ?>">
                        <i class="fa fa-taxi nav-icon"></i>
                        <p>
                            Trips
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/BookingRequests")); ?>"
                               class="nav-link <?php echo e(request()->is('BookingRequests*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>BookingRequests</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/Trips")); ?>" class="nav-link <?php echo e(request()->is('Trips*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Trips</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/BookingRequestChart")); ?>"
                               class="nav-link <?php echo e(request()->is('BookingRequestChart*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>BookingRequest Chart</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/TripChart")); ?>"
                               class="nav-link <?php echo e(request()->is('TripChart*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Trip Chart</p>
                            </a>
                        </li>

                    </ul>
                </li>

                <!-------------------------------------------------------------------------------------------------------------->
                <!-------------------------------------------------------------------------------------------------------------------->
                <li class="nav-item has-treeview <?php echo e((request()->is('Orders*')||request()->is('BookingRequests*')||request()->is('BookingRequestChart*')||request()->is('TripChart*')) ? 'menu-open' : ''); ?>">
                    <a href="#"
                       class="nav-link <?php echo e((request()->is('Orders*')||request()->is('BookingRequests*')||request()->is('BookingRequestChart*')||request()->is('TripChart*')) ? 'active' : ''); ?>">
                        <i class="fa fa-taxi nav-icon"></i>
                        <p>
                            Orders
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/Orders")); ?>"
                               class="nav-link <?php echo e(request()->is('Orders*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Orders</p>
                            </a>
                        </li>
                        

                    </ul>
                </li>

                <!-------------------------------------------------------------------------------------------------------------->
                <li class="nav-item">
                    <a href="<?php echo e(URL("/driverTracking")); ?>"
                       class="nav-link <?php echo e(request()->is('driverTracking*') ? 'active' : ''); ?>">
                        <i class="fas fa-map-marker-alt nav-icon"></i>
                        <p>Driver Tracking</p>
                    </a>
                </li>
                <!-------------------------------------------------------------------------------------------------------------->
                <li class="nav-item has-treeview <?php echo e((request()->is('Wallet*')||request()->is('BookingReceipts*')||request()->is('OrderReceipts*')) ? 'menu-open' : ''); ?>">
                    <a href="#"
                       class="nav-link <?php echo e((request()->is('Wallet*')||request()->is('BookingReceipts*')||request()->is('OrderReceipts*')) ? 'active' : ''); ?>">
                        <i class="fas fa-wallet nav-icon"></i>
                        <p>
                            Wallet
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/BookingReceipts")); ?>"
                               class="nav-link <?php echo e(request()->is('BookingReceipts*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Booking Receipts</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/OrderReceipts")); ?>"
                               class="nav-link <?php echo e(request()->is('OrderReceipts*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Order Receipts</p>
                            </a>
                        </li>
                    </ul>
                </li>
                <!-------------------------------------------------------------------------------------------------------------->
                <li class="nav-item has-treeview <?php echo e((request()->is('SMS*')||request()->is('DriverVerification*')||request()->is('PassengerVerification*')) ? 'menu-open' : ''); ?>">
                    <a href="#"
                       class="nav-link <?php echo e((request()->is('SMS*')||request()->is('DriverVerification*')||request()->is('PassengerVerification*')) ? 'active' : ''); ?>">
                        <i class="fas fa-sms nav-icon""></i>
                        <p>
                            SMS Verification
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/DriverVerification")); ?>"
                               class="nav-link <?php echo e(request()->is('DriverVerification*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Driver Verification</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/PassengerVerification")); ?>"
                               class="nav-link <?php echo e(request()->is('PassengerVerification*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Passenger Verification</p>
                            </a>
                        </li>
                    </ul>
                </li>
                <!-------------------------------------------------------------------------------------------------------------->
                <li class="nav-item has-treeview <?php echo e((request()->is('Settings*')||request()->is('CarTypes*')) ? 'menu-open' : ''); ?>">
                    <a href="#"
                       class="nav-link <?php echo e((request()->is('Settings*')||request()->is('CarTypes*')) ? 'active' : ''); ?>">
                        <i class="fa fa-cogs nav-icon"></i>
                        <p>
                            Settings
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/CarTypes")); ?>"
                               class="nav-link <?php echo e(request()->is('CarTypes*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Car types</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(URL("/Settings")); ?>"
                               class="nav-link <?php echo e(request()->is('Settings*') ? 'active' : ''); ?>">
                                <i class="nav-icon far fa-circle text-warning"></i>
                                <p>Settings</p>
                            </a>
                        </li>
                    </ul>
                </li>


            </ul>
            </nav>
            <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper" style="margin-top:0px;">


        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
            <?php echo $__env->make('pages.loader', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->make('pages.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->yieldContent('content'); ?>

            <!-- /.row (main row) -->
            </div><!-- /.container-fluid -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    <footer class="main-footer">
        <strong>Copyright &copy; 2014-2019 <a href="http://adminlte.io">AdminLTE.io</a>.</strong>
        All rights reserved.
        <div class="float-right d-none d-sm-inline-block">
            <b>Version</b> 3.0.0-rc.3
        </div>
    </footer>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
        <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->


</body>
</html>
<?php /**PATH /home/muhrah/public_html/muhrah/resources/views/AdminLTE.blade.php ENDPATH**/ ?>