<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Reset Password</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="<?php echo e(asset("/images/faviconico")); ?>">

		<!-- App css -->
		<link href="<?php echo e(asset("/css/bootstrap.min.css")); ?>" rel="stylesheet" type="text/css" id="bs-default-stylesheet" />
		<link href="<?php echo e(asset("/css/app.min.css")); ?>" rel="stylesheet" type="text/css" id="app-default-stylesheet" />
        
        <!-- Custom Stylesheet -->
		<link href="<?php echo e(asset("/css/style.css")); ?>" rel="stylesheet" type="text/css" id="custom-stylesheet" />

		<!-- icons -->
		<link href="<?php echo e(asset("/css/icons.min.css")); ?>" rel="stylesheet" type="text/css" />

    </head>

    <body>

        <div class="account-pages mt-5 mb-5">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-5 col-lg-5 col-xl-5">
                        <div class="card">
                            <div class="card-body p-4">                                
                                <div class=" ">
                                    <?php echo $__env->make('pages.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                                     <?php if(session('status')): ?>
                        <div class="alert alert-success" role="alert">
                            <?php echo e(session('status')); ?>

                        </div>
                    <?php endif; ?>
                                    <div class="language-switcher text-right">
                                        <a href="#" class="active">ENG</a> | <a href="#" class="">العربیہ</a>
                                    </div>
                                    <div class="auth-logo mt-4">
                                        <a href="#" class="logo  ">
                                            <span class="logo-lg">
                                               <img src="<?php echo e(asset("/images/logo.png")); ?>" alt="" height="94">
                                            </span>
                                        </a>
                                    </div>
                                    
                                    <div class="text-left mt-4 ">
                                        <h2 class="font-weight-bold">Reset Password</h2>
                                        <p class=" mb-4">Enter your email bellow o reset your password.</p>
                                    </div>
                                </div>

                                <form method="POST" action="<?php echo e(route('verify_user')); ?>" id="forgot_password">
                                    <?php echo csrf_field(); ?>
                                    <div class="form-group mb-3">
                                        <label for="emailaddress">Email</label>
                                        <div class="input-group">
                                            <input class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" type="email" name="email" id="email" value="<?php echo e(old('email')); ?>" required autocomplete="email" autofocus  placeholder="Enter your email">
                                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="form-icon display-none"><i class="far fa-envelope"></i>
                                                   <strong><?php echo e($message); ?></strong> 
                                            </span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>

                                    <div class="form-group mb-4 text-center">
                                        <button class="btn btn-primary btn-rounded waves-effect waves-light btn-block" type="submit"> <?php echo e(__('Send Password Reset Link')); ?></button>
                                    </div>

                                </form>

                            </div> <!-- end card-body -->
                        </div>
                        <!-- end card -->

                    </div> <!-- end col -->
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end page -->


        <!-- Vendor js -->
        <!-- Vendor js -->
        <script src="<?php echo e(asset("/js/vendor.min.js")); ?>"></script>

        <!-- App js -->
        <script src="<?php echo e(asset("/js/app.min.js")); ?>"></script>
    </body>
</html>
<?php /**PATH /var/www/vhosts/muhrah/resources/views/auth/passwords/email.blade.php ENDPATH**/ ?>